angular.module('selae.core.controllers')

.controller('htmlModalCtrl', ['$scope', 'htmlModalSrv','$http','$sce','$timeout',
    function($scope, htmlModalSrv, $http, $sce, $timeout) {
        $scope.htmlModalSrv = htmlModalSrv;

        $scope.loaded = false;

	 	$http.get($scope.modalContent).success(function (response, status, headers, config) {
			$scope.modalContent = $sce.trustAsHtml(response);
			$scope.loaded = true;
	    });

	    $scope.$watch('modalContent', function(newValue, oldValue) {
    	if ($scope.modalContent !== ""){
    		$timeout(function() {
				var acc = angular.element(document).find("h3");
				var i;

				for (i = 0; i < acc.length; i++) {
				    acc[i].onclick = function(){
				        this.classList.toggle("active");
				        var next = this.nextElementSibling;
				        while (next !== null && next.tagName != "H3"){
				        	next.classList.toggle("show");
				        	next = next.nextElementSibling;
				        }
				    };
				}
		   	});
    	}
   	});
    }
]);