/*
angular.module('selae.core.filters')
.filter( 'translate', ['$rootScope', '$interpolate', 'config', function($rootScope, $interpolate, config) {
    function filterFn(label, options) {
        var result;
        if ($rootScope.selae !== undefined && $rootScope.selae.properties !== undefined && $rootScope.selae.properties !== null){
            if (typeof options != "undefined" ){                
                result = $interpolate($rootScope.selae.properties[label])(options);
            }else{
                result = $rootScope.selae.properties[label];
            }
        }
        return result;
    }

    filterFn.$stateful = true;

    return filterFn;
  	
}]);
*/
// Refactorizacion Sergio
angular.module('selae.core.filters')
.filter( 'translate', ['$rootScope', '$interpolate', function($rootScope, $interpolate) {
    function filterFn(label, options) {
        try {
            if (!$rootScope.selae.properties) { throw 'El $rootScope.selae.properties no esta definido'; }
            if (!label) { throw 'El filtro translate necesita como minimo pasar un string'; }
            if (options) {
                return $interpolate($rootScope.selae.properties[label])(options);
            } else {
                if (!$rootScope.selae.properties[label]) { /*console.warn('El filtro '+label+' no esta definido en el properties');*/ }
                return $rootScope.selae.properties[label];
            }
        } catch(e) { /*console.warn('ERR: '+e);*/ }
    }

    filterFn.$stateful = true;
    return filterFn;
}]);