angular.module('selae.core.services')
.factory('analyticsSrv', ['$http',
    function($http) {

    this.ga = function() {
        var state = undefined;

        try {
            if ( cordova.plugins.firebase.analytics ) {
                state = true;
            } 
        
        } catch (error) {
            state = undefined;
            console.log('El plugin de firebase analytics no está definido');
        } 
        return state;
    };

    // funcion para nombrar los juegos según el excel de negocio
    this.setName = function(id) {
        if (id == 10) { id = 9; }
        // id = Number(id);
        var nombres = ['La Primitiva', 'La Quiniela', 'Euromillones', 'La Bonoloto', 'El Gordo de La Primitiva', 'El Quinigol', 'Lototurf', 'Quíntuple Plus', 'Lotería Nacional'];
        return nombres[ Number ( id - 1) ];
    };

    // setUserId(id)
    // Sets the user ID property.
    // cordova.plugins.firebase.analytics.setUserId("12345");
    this.setId = function(id) {
        cordova.plugins.firebase.analytics.setUserId(id);
    };

    // setCurrentScreen(name)
    // Sets the current screen name, which specifies the current visual context in your app. This helps identify the areas in your app where users spend their time and how they interact with your app.
    // cordova.plugins.firebase.analytics.setCurrentScreen("User profile");
    this.trackView = function(name) {
        cordova.plugins.firebase.analytics.setCurrentScreen(name);
    };

    // logEvent(name, params)
    // Logs an app event.
    // cordova.plugins.firebase.analytics.logEvent("my_event", {param1: "value1"});
    this.trackEvent = function( name, value1, value2) {
        name = name;
        var data = {
            'value1' : value1 || '-',
            'value2' : value2 || '-'
        };
        cordova.plugins.firebase.analytics.logEvent(name, data);
    };

    return{
        ga : this.ga,
        setName : this.setName,
        setId : this.setId,
        trackView : this.trackView,
        trackEvent : this.trackEvent
    };
}]);