angular.module('selae.games.controllers')
    .controller('StepBetCtrl', ['$scope', '$rootScope', '$stateParams', '$ionicHistory', '$state', 'popupSrv', '$filter', '$timeout', 'config', 'requestSrv','$ionicPlatform','opSrv', 'analyticsSrv', 'gamesProvider', '$q',
        function($scope, $rootScope, $stateParams, $ionicHistory, $state, popupSrv, $filter, $timeout, config, requestSrv, $ionicPlatform, opSrv, analyticsSrv , gamesProvider , $q) {
            var gameName = $filter('translate')($filter('filter')(gamesProvider.getGames(),{idJuego:$stateParams.game_id})[0].text);

            if(window.ga !== undefined) {
                var anaGameName = analyticsSrv.setName($stateParams.game_id)
                analyticsSrv.trackView('Paso a Paso-1_Configurar apuesta-' + anaGameName);
            }
            $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
                viewData.enableBack = true;
            });
            $scope.gameId = $stateParams.game_id;
            $scope.pick = $scope.gameId == "9" ? 'pickTicket' : 'pickBet';
            $scope.data = {};
            $scope.betSettings = {};
            $scope.disableAuto = false;
            $scope.protocoloReintegro = false;

            //inicializamos a false la variable que determina si hay que volver al ticket tras la recarga de lotobolsa
            if ($rootScope.ticket === true){
                $rootScope.ticket = false;
            }
            
            // $rootScope.selae.properties.elGordoV2Service = true;
            var checkGordoServiceV2 = ($scope.gameId == 5 && $rootScope.selae.properties.elGordoV2Service == 'true' )? 'true' : 'false';
            // Variable para controlar el dato de dias de semana en la vista
            $scope.elGordoV2Service = checkGordoServiceV2;

            $scope.betSettings.nBets = {};
            $scope.config = {};
            $scope.numeroActiva = '1';
            $scope.disableContinue = true;

            $scope.comboBets = [];
            $scope.comboNumbers = [];
            $scope.comboExtra = [];

            console.groupCollapsed('traducciones Quiniela en Vivo');
            console.log($filter('translate')('quinielaVivoVisible'));
            console.log($filter('translate')('quinielaVivoImage'));
            console.log($filter('translate')('quinielaVivoText'));
            console.log($filter('translate')('quinielaVivoURL'));
            console.groupEnd();

            $scope.quinielaVivoVisible = $filter('translate')('quinielaVivoVisible');
            $scope.quinielaVivoImg = $filter('translate')('quinielaVivoImage');
            $scope.quinielaVivoText = $filter('translate')('quinielaVivoText');
            var url = $filter('translate')('quinielaVivoURL');
            $scope.quinielaVivoURL = function() {
                window.open(url, '_system', 'location=no');
            };

            var fillCombo = function ( autoConfigBet ){
                switch ($scope.gameId) {
                    case "1":
                        if($scope.betSettings.betModel !== 'multiple'){
                            $scope.comboBets =[
                                {value: 1, id:'1'},
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'},
                                {value: 6, id:'6'},
                                {value: 7, id:'7'},
                                {value: 8, id:'8'}]
                                ;
                            $scope.betSettings.nBets = $scope.comboBets[autoConfigBet] || $scope.comboBets[0];
                        }else{
                            $scope.comboBets = [
                                {value: 1, id:'1'}];
                            $scope.comboNumbers =[
                                {value: 7,  id:'Multiple 7'},
                                {value: 8,  id:'Multiple 28'},
                                {value: 5,  id:'Multiple 44'},
                                {value: 9,  id:'Multiple 84'},
                                {value: 10, id:'Multiple 210'},
                                {value: 11, id:'Multiple 462'}];
                            $scope.betSettings.nBets = $scope.comboBets[0];
                            $scope.betSettings.nNumbers = $scope.comboNumbers[0];
                        }
                        break;
                    case "2":
                        if($scope.betSettings.betModel !== 'multiple'){
                            $scope.comboBets =[
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'},
                                {value: 6, id:'6'},
                                {value: 7, id:'7'},
                                {value: 8, id:'8'}];
                            $scope.betSettings.nBets = $scope.comboBets[autoConfigBet - 1] || $scope.comboBets[0];
                        }else{
                            $scope.comboBets= [
                                {value: 1, id:'1'}];
                            $scope.comboNumbers =[
                                {value: 0, id:'0'},
                                {value: 1, id:'1'},
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'},
                                {value: 6, id:'6'},
                                {value: 7, id:'7'},
                                {value: 8, id:'8'},
                                {value: 9, id:'9'},
                                {value: 10, id:'10'},
                                {value: 11, id:'11'},
                                {value: 12, id:'12'},
                                {value: 13, id:'13'},
                                {value: 14, id:'14'}];
                            $scope.comboExtra =[
                                {value: 0, id:'0'},
                                {value: 1,  id:'1'},
                                {value: 2,  id:'2'},
                                {value: 3,  id:'3'},
                                {value: 4,  id:'4'},
                                {value: 5,  id:'5'},
                                {value: 6,  id:'6'},
                                {value: 7,  id:'7'},
                                {value: 8,  id:'8'},
                                {value: 9,  id:'9'}];
                            $scope.betSettings.nBets = $scope.comboBets[0];
                            $scope.betSettings.nNumbers = $scope.comboNumbers[0];
                            $scope.betSettings.nExtra = $scope.comboExtra[0];
                        }
                        break;
                    case "3":
                        if($scope.betSettings.betModel !== 'multiple'){
                            $scope.comboBets =[
                                {value: 1, id:'1'},
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'}];
                            $scope.betSettings.nBets = $scope.comboBets[autoConfigBet] || $scope.comboBets[0];
                        }else{
                            $scope.comboBets = [
                                {value: 1, id:'1'}];
                            $scope.comboNumbers =[
                                {value: 5,  id:'5'},
                                {value: 6,  id:'6'},
                                {value: 7,  id:'7'},
                                {value: 8,  id:'8'},
                                {value: 9,  id:'9'},
                                {value: 10, id:'10'}];
                            $scope.comboExtra =[
                                {value: 2,  id:'2'},
                                {value: 3,  id:'3'},
                                {value: 4,  id:'4'},
                                {value: 5,  id:'5'}];
                            $scope.betSettings.nBets = $scope.comboBets[0];
                            $scope.betSettings.nNumbers = $scope.comboNumbers[0];
                            $scope.betSettings.nExtra = $scope.comboExtra[1];
                        }
                        break;
                    case "4":
                        if($scope.betSettings.betModel !== 'multiple'){
                            $scope.comboBets =[
                                {value: 1, id:'1'},
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'},
                                {value: 6, id:'6'},
                                {value: 7, id:'7'},
                                {value: 8, id:'8'}];
                            $scope.betSettings.nBets = $scope.betSettings.dateBet !== 'semanal'? ( $scope.comboBets[autoConfigBet] || $scope.comboBets[1] ) : $scope.comboBets[autoConfigBet] || $scope.comboBets[0] ;
                        }else{
                            $scope.comboBets = [
                                {value: 1, id:'1'}];
                            $scope.comboNumbers =[
                                {value: 7,  id:'Multiple 7'},
                                {value: 8,  id:'Multiple 28'},
                                {value: 5,  id:'Multiple 44'},
                                {value: 9,  id:'Multiple 84'},
                                {value: 10, id:'Multiple 210'},
                                {value: 11, id:'Multiple 462'}];
                            $scope.betSettings.nBets = $scope.comboBets[autoConfigBet] || $scope.comboBets[0];
                            $scope.betSettings.nNumbers = $scope.comboNumbers[0];
                        }
                        break;
                    case "5":
                         if($scope.betSettings.betModel !== 'multiple'){
                                $scope.comboBets =[
                                    {value: 1, id:'1'},
                                    {value: 2, id:'2'},
                                    {value: 3, id:'3'},
                                    {value: 4, id:'4'},
                                    {value: 5, id:'5'},
                                    {value: 6, id:'6'}];
                                $scope.betSettings.nBets = $scope.comboBets[autoConfigBet] || $scope.comboBets[0];
                            }else{
                                $scope.comboBets = [
                                    {value: 1, id:'1'}];
                                $scope.comboNumbers =[
                                    {value: 6,  id:'Multiple 6'},
                                    {value: 7,  id:'Multiple 21'},
                                    {value: 8,  id:'Multiple 56'},
                                    {value: 9,  id:'Multiple 126'},
                                    {value: 10, id:'Multiple 252'},
                                    {value: 11, id:'Multiple 462'}];
                                $scope.betSettings.nBets = $scope.comboBets[0];
                                $scope.betSettings.nNumbers = $scope.comboNumbers[0];
                            }
                            break;
                    case "6":
                        $scope.comboBets= [{value: 1, id:'1'}];
                        $scope.betSettings.nBets = $scope.comboBets[0];
                        break;
                    case "7":
                        if($scope.betSettings.betModel !== 'multiple'){
                            $scope.comboBets =[
                                {value: 1, id:'1'},
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'},
                                {value: 6, id:'6'}];
                            $scope.betSettings.nBets = $scope.comboBets[autoConfigBet] || $scope.comboBets[0];
                        }else{
                            $scope.comboBets= [
                                {value: 1, id:'1'}];
                            $scope.comboNumbers =[
                                {value: 6,  id:'6'},
                                {value: 7,  id:'7'},
                                {value: 8,  id:'8'},
                                {value: 9,  id:'9'},
                                {value: 10, id:'10'}];
                            $scope.comboExtra =[
                                {value: 1,  id:'1'},
                                {value: 2,  id:'2'},
                                {value: 3,  id:'3'},
                                {value: 4,  id:'4'}];
                            $scope.betSettings.nBets = $scope.comboBets[0];
                            $scope.betSettings.nNumbers = $scope.comboNumbers[0];
                            $scope.betSettings.nExtra = $scope.comboExtra[1];
                        }
                        break;
                    case "8":
                        $scope.comboBets= [{value: 1, id:'1'}];
                        $scope.betSettings.nBets = $scope.comboBets[0];
                        break;
                    case "9":
                            $scope.comboBets =[
                                {value: 1, id:'1'},
                                {value: 2, id:'2'},
                                {value: 3, id:'3'},
                                {value: 4, id:'4'},
                                {value: 5, id:'5'},
                                {value: 6, id:'6'},
                                {value: 7, id:'7'},
                                {value: 8, id:'8'},
                                {value: 9, id:'9'},
                                {value: 10, id:'10'},];
                            $scope.betSettings.nBets = $scope.comboBets[0];
                        break;
                    default:

                }
            };

           /*
                !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
                SUPER SUPER IMPORTANTE TODO (MAMOV-703: Variables de la configuración)
                !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
                Como los entornos de INT están caídos y solamente podemos trabajar en PRO
                y SELAE no debe subir un fichero de properties nuevo a PRO sin pasar antes por INT,
                no podemos probar en real esto.
                Así que se deja preparado, pero si las variables están a undefined TOMARÁ UN
                VALOR FIJO PARA QUE VE PUEDA VER EL DESARROLLO.
               */
  
            $scope.initialBet = function() {
                // variables 
                // semanal o diaria = $scope.betSettings.dateBet
                // sencilla o multiple = $scope.betSettings.betModel
                // automatica o manual = $scope.betSettings.automatic \\true/false
                // Si existe apuesta semanal o no $scope.config.numSorteos > 1
                // Para tratar igual los dos juegos de lotería añadimos el booleano lotería
                // Se añade la variable bonoLaqu por si son los juegos de bonoloto o la quniela
                // La variable newConfigNBetValue es la que toma el valor del properties de selae y llama a configuracion de apuesta
                var newConfigNBetValue;
                var loteria = false;
                var bonoLaqu = false;
                // Variable para el mínimo numero de apuestas de cada juego según el properties

                if ( Number($scope.gameId) === 9 || Number($scope.gameId) === 10 ) {
                    loteria = true;
                }

                
                if ((Number($scope.gameId) === 4 || Number($scope.gameId) === 2)) {
                    bonoLaqu = true;
                }
                
                // Semanal sencilla manual
                if ( !loteria && $scope.betSettings.dateBet === 'semanal' && $scope.betSettings.betModel === 'sencilla' && !$scope.betSettings.automatic && $scope.config.numSorteos > 1 ) {
                    //se pone un número a mano para comprobar, será el que venga del properties
                    console.log("apuestaSemanalSencilla; Caso 1");
                    //llamamos a la configuración de apuesta cogiendo como valor de posicion del array la del properties-1
                    if($rootScope.selae.properties.apuestaSemanalSencilla === undefined)
                        newConfigNBetValue = 1-1; //VALOR FIJO PARA PRUEBAS, AVISAR A SELAE
                    else
                        newConfigNBetValue = Number($rootScope.selae.properties.apuestaSemanalSencilla) - 1; //-1 por el indexado en js
                }

                // Semanal sencilla automatica
                if ( !loteria && $scope.betSettings.dateBet === 'semanal' && $scope.betSettings.betModel === 'sencilla' && $scope.betSettings.automatic && $scope.config.numSorteos > 1  ) {
                    console.log("apuestaSemanalSencillaAuto: Caso 2");
                    if($rootScope.selae.properties.apuestaSemanalSencillaAuto === undefined)
                        newConfigNBetValue = 2 - 1; //VALOR FIJO PARA PRUEBAS, AVISAR A SELAE
                    else
                        newConfigNBetValue = Number($rootScope.selae.properties.apuestaSemanalSencillaAuto) - 1; //-1 por el indexado de js
                }

                // Diaria sencilla manual
                if ( !loteria && $scope.betSettings.dateBet === 0 && $scope.betSettings.betModel === 'sencilla' && !$scope.betSettings.automatic && !bonoLaqu) {
                    console.log("apuestaDiariaSencilla: Caso 3");
                    if($rootScope.selae.properties.apuestaDiariaSencilla === undefined)
                        newConfigNBetValue = 1 - 1; //VALOR FIJO PARA PRUEBAS, AVISAR A SELAE
                    else
                        newConfigNBetValue = Number($rootScope.selae.properties.apuestaDiariaSencilla) - 1; //-1 por el indexado de js
                }
 
                // Diaria sencilla y juego bonoloto o quiniela
                if ( !loteria && $scope.betSettings.dateBet === 0 && $scope.betSettings.betModel === 'sencilla' && bonoLaqu) {
                    console.log("apuestaDiariaSencillaBonoyLaQuiniela sin semanal_BONO_LAQU_3: Caso 4");
                    if($rootScope.selae.properties.apuestaDiariaSencillaBonoyLaQuiniela === undefined)
                        newConfigNBetValue = 2 - 1; //VALOR FIJO PARA PRUEBAS, AVISAR A SELAE
                    else
                        newConfigNBetValue = Number($rootScope.selae.properties.apuestaDiariaSencillaBonoyLaQuiniela) - 1; //-1 por el indexado de js
                }
                // Diaria sencilla no sorteo semanal resto juegos
                if ( !loteria && $scope.betSettings.dateBet === 0 && $scope.betSettings.betModel === 'sencilla' && $scope.betSettings.automatic  && !bonoLaqu ) {
                    console.log("apuestaDiariaSencillaAutomatica automática los juegos (no Bonoloto o Quiniela o Lotería): Caso 5");
                    if($rootScope.selae.properties.apuestaDiariaSencillaAutomatica === undefined)
                        newConfigNBetValue = 2 - 1; //VALOR FIJO PARA PRUEBAS, AVISAR A SELAE
                    else   
                        newConfigNBetValue = Number($rootScope.selae.properties.apuestaDiariaSencillaAutomatica) - 1; //-1 por el indexado de js
                }

                // Diaria sencilla automatica no existe sorteo semanal juego bonoloto o quiniela
                if ( !loteria && $scope.betSettings.dateBet === 0 && $scope.betSettings.betModel === 'sencilla' && $scope.betSettings.automatic && bonoLaqu ) {
                    console.log("apuestaDiariaSencillaAutoBonoyLaQuiniela: Caso 6");
                    if($rootScope.selae.properties.apuestaDiariaSencillaAutoBonoyLaQuiniela === undefined)
                        newConfigNBetValue = 2 - 1; //VALOR FIJO PARA PRUEBAS, AVISAR A SELAE
                    else
                        newConfigNBetValue = Number($rootScope.selae.properties.apuestaDiariaSencillaAutoBonoyLaQuiniela) - 1;//-1 por el indexado del js
                }

                return fillCombo(newConfigNBetValue);
            }



            // variable para mostrar el numero de apuestas
            // debugger;
            $scope.showBetNumberFunction = function() {
                $scope.showBetNumber = false;
                // debugger;
                // En la lotería nacional siempre tiene que mostrarse
                if ($scope.gameId == 9 || $scope.gameId == 10 ) {
                    $scope.showBetNumber = true;
                } else {
                    if ( $scope.betSettings.automatic && $scope.betSettings.betModel !== 'multiple' && $scope.betSettings.dateBet !== 0 ) {
                        $scope.showBetNumber = true;
                    }
                    /**
                     * Según correo de Javier del 15/11/2018, en el que se indica
                     * Semanal sencilla automática --> SI muestra selector apuestas
                     * Esta condición no tiene sentido, así que la eliminamos 
                    if ($scope.betSettings.automatic && $scope.betSettings.betModel === 'sencilla') {
                        $scope.showBetNumber = false;
                    }
                    */

                    if ($scope.betSettings.automatic && $scope.betSettings.betModel === 'sencilla' && $scope.betSettings.dateBet === 0) {
                        $scope.showBetNumber = true;
                    }
                }
                return $scope.showBetNumber
            }

            var watchDateBet = $scope.$watch('betSettings.dateBet', function (/*newValue, oldValue*/) {
                console.log("Selección de la semana: ",$scope.betSettings.dateBet)
                $scope.showBetNumberFunction();
                $scope.initialBet();

                if ($scope.gameId == "4"){
                    fillCombo( $scope.betSettings.nBets.value-1 );
                }
                $scope.getBetPrice();
                if ($scope.gameId == "9" && $scope.config.sorteos !== undefined){
                    $scope.config.fechaFinVentas = $scope.config.sorteos[$scope.betSettings.dateBet].SorteoDto.fechaFinVentas;
                    $scope.fechaFinVentasMilis = opSrv.dateFromString($scope.config.fechaFinVentas).getTime();
                    var fechaActualMilis = new Date().getTime();
                    if ($scope.fechaFinVentasMilis > fechaActualMilis) {
                        dhm($scope.fechaFinVentasMilis - fechaActualMilis);
                    }
                }
                //$scope.disableContinue = $scope.checkButtonDisabled();
            });

            var watchNBet = $scope.$watch('betSettings.nBets', function () {
                // debugger;
                $scope.showBetNumberFunction();
                $scope.getBetPrice();
                //$scope.disableContinue = $scope.checkButtonDisabled();
            });

            var watchBetModel = $scope.$watch('betSettings.betModel', function () {
                // debugger;
                $scope.showBetNumberFunction();
                // $scope.initialBet();
                //$scope.disableContinue = $scope.checkButtonDisabled();
                fillCombo( $scope.betSettings.nBets.value-1 );
                $scope.initialBet();
                $scope.getBetPrice();
            });

            var watchNNumbers = $scope.$watch('betSettings.nNumbers', function () {
                //debugger;
                //$scope.disableContinue = $scope.checkButtonDisabled();
                $scope.getBetPrice();
            });

            var watchNExtra = $scope.$watch('betSettings.nExtra', function () {
                //$scope.disableContinue = $scope.checkButtonDisabled();
                $scope.getBetPrice();
            });

            var watchJoker = $scope.$watch('betSettings.joker', function () {
                //$scope.disableContinue = $scope.checkButtonDisabled();
                $scope.getBetPrice();
            });

            var watchAuto = $scope.$watch('betSettings.automatic', function () {
                // debugger;
                $scope.initialBet();
                $scope.showBetNumberFunction();
            });

            var watchSubscribe = $scope.$watch('betSettings.subscribe', function () {
                // debugger;
                //$scope.disableContinue = $scope.checkButtonDisabled();
            });

            $scope.betSubscribe = function (boolean) {
                $scope.betSettings.subscribe = boolean;
            }


            $scope.checkButtonDisabled = function (){
                if ($scope.betSettings.dateBet === undefined){
                  return true;
                }
                if ($scope.betSettings.nBets === undefined){
                  return true;
                }
                if ($scope.betSettings.betModel === undefined && !$scope.typeGame()) {
                  return true;
                }
                if ($scope.betSettings.nNumbers === undefined && (($scope.gameId == 3 || $scope.gameId == 7)  && $scope.betSettings.betModel === 'multiple')) {
                  return true;
                }
                if ($scope.betSettings.nExtra === undefined && ($scope.gameId == 3 && $scope.betSettings.betModel === 'multiple')) {
                  return true;
                }
                if ($scope.betSettings.nExtra === undefined && ($scope.gameId == 7  && $scope.betSettings.betModel === 'multiple')) {
                  return true;
                }
                if ($scope.betSettings.nNumbers === undefined && (($scope.gameId == 4 || $scope.gameId == 1 || $scope.gameId == 5) && $scope.betSettings.betModel === 'multiple')) {
                  return true;
                }

                if ($scope.gameId == 2 && $scope.betSettings.nNumbers !== undefined && $scope.betSettings.nExtra !== undefined && getQuinielaPrice() === 0){
                    return true;
                }
                //debugger;
                if ($scope.betSettings.subscribe === undefined && $scope.gameId != 8) {
                    return true
                }

                return false;
            };

            var precioApuestaSencilla = 0;
            var precioJoker = 0;

            $scope.seleccionarTabActiva = function(tabActiva) {
                $scope.numeroActiva = tabActiva;
            };

            var disableWatches = function(){
                watchDateBet();
                watchNBet();
                watchBetModel();
                watchNNumbers();
                watchNExtra();
                watchJoker();
                watchSubscribe();
            };

            $scope.continue = function() {

                // debugger;

                // Para el mínimo y maximo de los juegos se coge siempre el mínimo y el máximo del boleto.
                $scope.betsRange = {
                    minBet : $scope.comboBets[0].value,
                    maxBet : $scope.comboBets[$scope.comboBets.length-1].value,
                }
                // Caso especial de bonoloto en el si es una apuesta diaria y sencilla el número mínimo de apuestas es 2
                if ( $scope.gameId === '4' && $scope.betSettings.dateBet === 0 && $scope.betSettings.betModel === 'sencilla' ) {
                $scope.betsRange.minBet = 2; 
                }

                // Para quinielas dobles y triples
                if ( $scope.gameId === "2" && $scope.betSettings.betModel === "multiple" && $scope.betSettings.nNumbers.value === 0 && $scope.betSettings.nExtra.value === 0 ) {
                    popupSrv.showErrorPopup("quinielaMultipleCondition");
                    return false;
                }
                
                if($scope.checkButtonDisabled()) {

                    if ($scope.gameId != 2) {
                        popupSrv.showErrorPopup("badBet");
                    } else {
                        if ( $scope.gameId == 2 && $scope.betSettings.subscribe == undefined ) {
                            popupSrv.showErrorPopup("badBet");
                        } else {
                            popupSrv.showErrorPopup("quinielaMultipleBadCondition");
                        }
                    }
                    
                } else {
                    var subcribe = "false";
                    if ($scope.betSettings.subscribe === true) { subcribe = "true"; }

                    popupSrv.showLoading("configBet");
                    disableWatches();
                    $scope.betSettings.nBets = (!$scope.betSettings.nBets)?0:$scope.betSettings.nBets.value;
                    $scope.betSettings.nNumbers = (!$scope.betSettings.nNumbers)?0:$scope.betSettings.nNumbers.value;
                    $scope.betSettings.nExtra = (!$scope.betSettings.nExtra)?0:$scope.betSettings.nExtra.value;

                    $ionicHistory.currentView($ionicHistory.backView());
                    if ($scope.betSettings.dateBet != "semanal"){
                        $scope.betSettings.sorteo = $scope.config.sorteos[$scope.betSettings.dateBet];
                    }
                    else{
                        $scope.betSettings.sorteo = $scope.config.sorteos[0];
                    }
                    requestSrv.setBetConfig($scope.betSettings);

                    var param = ($scope.betSettings.dateBet=='semanal')?'SEMANAL':'DIARIA';
                    var confGame = opSrv.newGetConfigGame($scope.gameId);
                    // debugger;
                    if ($scope.gameId == "1" || $scope.gameId == "3" || $scope.gameId == "4"){
                        requestSrv.request(config.services.host + confGame+ "?accionController=paso1.sorteo&sorteo="+param, "post", [])
                        .then(function(e) {
                            requestSrv.setBetConfig($scope.betSettings);
                            $ionicHistory.currentView($ionicHistory.backView());
                            if ($scope.betSettings.automatic) {
                                $state.go("app.summaryBet", { game_id: $scope.gameId, type: "auto", subcription: subcribe});
                            } else {
                                // debugger;
                                $state.go("app.combinationBet", { game_id: $scope.gameId, subcription: subcribe, protocoloReintegro:$scope.protocoloReintegro , minBet: $scope.betsRange.minBet, maxBet: $scope.betsRange.maxBet});
                            }
                        })
                        .finally(function(){
                            popupSrv.hideLoading();
                        })
                        .catch(function(err) {
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                        });
                    }else{
                        if ($scope.gameId == 2) {
                            setTimeout(function(){ popupSrv.hideLoading(); }, 2000);
                        }
                        else {popupSrv.hideLoading();}
                        requestSrv.setBetConfig($scope.betSettings);
                        $ionicHistory.currentView($ionicHistory.backView());
                        if ($scope.betSettings.automatic) {
                            $state.go("app.summaryBet", { game_id: $scope.gameId, type: "auto", subcription: subcribe });
                        } else {
                            $state.go("app.combinationBet", { game_id: $scope.gameId, subcription: subcribe, minBet: $scope.betsRange.minBet, maxBet: $scope.betsRange.maxBet });
                        }
                    }
                }
            };

            $scope.typeGame = function() {
                if ($scope.gameId == 6 || $scope.gameId == 9 || $scope.gameId == 8 ) {
                    return true;
                } else {
                    return false;
                }
            };


            // Se extrae de la función $scope.getConfig la configuracion especifica de cada juego

            function clasicBasicBetsConfig ( data, info) {
                $scope.config.fechaSorteo = info.diaProximoSorteo;
                $scope.config.premio = info.importePremioEuros;
                $scope.config.sorteos = info.listaSorteos;
                $scope.config.semanal = info.sorteos == "SEMANAL";
                $scope.config.jokerActivo = info.jokerActivo;
                $scope.config.joker = info.precioJokerEuros;
                $scope.config.precio = info.listaSorteos[0].SorteoDto.precioApuestaSencilla;
                $scope.config.fechaFinVentas = info.listaSorteos[0].SorteoDto.fechaFinVentas;
                $scope.config.numSorteos = info.numSorteos;
                $scope.betSettings.dateBet = 0;
                $scope.betSettings.betModel = "sencilla";
                if ($scope.config.fechaFinVentas !== undefined) {
                    $scope.fechaFinVentasMilis = opSrv.dateFromString($scope.config.fechaFinVentas).getTime();
                    var fechaActualMilis = new Date().getTime();
                    if ($scope.fechaFinVentasMilis > fechaActualMilis) {
                        dhm($scope.fechaFinVentasMilis - fechaActualMilis);
                    }
                }                            
                if ( $scope.config.semanal ) {
                    $scope.betSettings.dateBet = 'semanal';
                }

                if ( $scope.gameId == 1 ) {
                    reintegroPrimitiva(data);
                }

                if($scope.gameId == 2 || $scope.gameId == 6) {
                    configQuinielaAndMatches(data);
                }

                if($scope.gameId == 7){
                  configLototurf(data);
                }

                if($scope.gameId == 8){
                    configQuintuplePlus(data);
                }
                if($scope.gameId == 2 && $scope.gameId == 4 && $scope.gameId == 3 && $scope.gameId == 1 ){
                    $scope.getBetPrice();
                }else{
                    $scope.precioTotal = "0,00 €";
                }
            }

            function newBasicBetConfig ( apuesta, sorteos) {
                $scope.config.fechaSorteo = formatFechaSorteo(sorteos[0].fecha);
                // $scope.config.premio = info.importePremioEuros;
                $scope.config.sorteos = sorteos;
                $scope.betSettings.dateBet = formatListaSorteos(sorteos);
                // $scope.config.jokerActivo = info.jokerActivo;
                // $scope.config.joker = info.precioJokerEuros;
                $scope.config.fechaFinVentas = sorteos[0].fechaFinVentas;
                $scope.config.numSorteos = formatNumeroSorteos(sorteos);
                $scope.config.precio = apuesta.precioApuestaSencilla;
                // $scope.betSettings.dateBet = 0;
                $scope.betSettings.betModel = "sencilla";
                if ($scope.config.fechaFinVentas !== undefined) {
                    $scope.fechaFinVentasMilis = opSrv.dateFromString($scope.config.fechaFinVentas).getTime();
                    var fechaActualMilis = new Date().getTime();
                    if ($scope.fechaFinVentasMilis > fechaActualMilis) {
                        dhm($scope.fechaFinVentasMilis - fechaActualMilis);
                    }
                }                            
                // if ( $scope.config.semanal ) {
                //     $scope.betSettings.dateBet = 'semanal';
                // }

                $scope.precioTotal = "0,00 €";

                /**** Funciones para formatear el nuevo servicio *****/
                function formatFechaSorteo (fecha) {
                    var days = ['Domingo','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado'];
                    return days[opSrv.dateFromString(fecha).getDay()];
                }

                function formatListaSorteos (sorteos) {
                    var lista = sorteos.length <1 ? 'semanal' : 0 
                    return lista
                }

                function formatNumeroSorteos(sorteos) {
                    var numSort = 0;
                    sorteos.forEach(function(elem) {
                       if ( elem.estado === 'ACTIVO' || elem.estado === 'ENCADENADO') {
                        numSort++;
                       }
                    })
                    return numSort
                }

                /**** Fin de funciones para formatear el nuevo servicio *****/
            }


            function reintegroPrimitiva(e) {
                $scope.protocoloReintegro = Number(e.protocoloReintegro);
                if ( $scope.protocoloReintegro === 2 | $scope.protocoloReintegro === 3 | $scope.protocoloReintegro === 99 ) {
                    if ( $scope.protocoloReintegro === 99 ) {
                        $scope.disableAuto = true;
                    }
                    $scope.protocoloReintegro = true;
                }
            };

            function configQuinielaAndMatches(e) {
                $scope.betSettings.jornada = e.joranada;
                $scope.betSettings.partidos = e.partidos;
                $scope.betSettings.pleno = e.partidos[14];

                 // Variable global a borrar en cuanto implanten el elige8 en produccion
                 $rootScope.elige8GlobalActivo = false;
                 if (e.elige8Activo && e.elige8Activo[0] === true) {
                     $scope.betSettings.elige8 = true;
                     $rootScope.elige8GlobalActivo = true;
                 } else { 
                     $scope.betSettings.elige8 = false;
                 }

                 // Para porcentajes 
                if ($scope.gameId == 2) {
                 try{
                     var fecha = new Date(e.compraDto["0"].ApuestaDto.fechaSorteo);
                     var day = fecha.getDate();
                     var month = String(fecha.getMonth() + 1);
                     if (month.length < 2) {
                         month = '0' + month;
                     }
                     var year = fecha.getFullYear();

                     var fecha_sorteo = String(year) + String(month) + String(day); 

                     var params = [
                         {
                         name: "game_id",
                         value: "LAQU"
                         },
                     {
                         name: "fecha_sorteo",
                         value: fecha_sorteo
                         }
                     ];

                     // Hasta aqui formateo de fecha, ahora a hacer la llamada
                     requestSrv.request(config.services.cmsHost + config.services.fechav3 , "GET", params)
                     .then(function(e) {
                         var temporada = e.data["0"].temporada.substring(0,4);
                         var jornada = e.data["0"].jornada;

                         var params = [
                             {
                                 name: "temporada",
                                 value: temporada
                             },
                             {
                                 name: "jornada",
                                 value: jornada
                             }
                         ];

                         // Llamada a servicio que trae los porcentajes
                         requestSrv.request(config.services.cmsHost + config.services.statistics , "GET", params)
                         .then(function(e) {
                             $scope.betSettings.porcentaje = e.data;
                         })
                         .catch(function(err) {
                             popupSrv.hideLoading();
                         });
                     })
 
                     .catch(function(err) {
                         popupSrv.hideLoading();
                     });

                 } catch (e) {console.log('Falla la carga ')}
             }
            }

            function configLototurf(e) {
                $scope.betSettings.caballos = [];
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera0[0]);
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera1[0]);
            }

            function configQuintuplePlus(e) {
                $scope.betSettings.caballos = [];
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera0[0]);
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera1[0]);
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera2[0]);
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera3[0]);
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera4[0]);
                $scope.betSettings.caballos.push(e.numeroCaballoCarrera5[0]);
            }
            /*** FIN DE LA EXTRACCIÓN DE DATOS***/


            $scope.getConfig = function() {
                popupSrv.showLoading("startingBet");
                var confGame = opSrv.newGetConfigGame($scope.gameId);                
                // Para que el servicio antiguo del gordo similar al de todos los jeugos conviva con el nuevo
                if ( checkGordoServiceV2 === 'true' && $scope.gameId == '5') {
                    console.log('servicio nuevo');
                    // promesas para el gordo
                    var params = [{
                        name : 'idJuego',
                        value : $scope.gameId
                    }]
                    var configGamePromise = requestSrv.request( config.services.host + config.services.genericConfigGame ,"get" , params)
                        .then(function(e){
                            return e;
                        });
                    var rafflesPromise = requestSrv.request( config.services.host + config.services.genericRaffle ,"get" , params)
                    .then(function(e1){
                        return e1
                    });
                    $q.all([configGamePromise,rafflesPromise])
                        .then(function(e) {
                                console.log(e[0].data, e[1].data);

                                newBasicBetConfig(e[0].data, e[1].data);
                                popupSrv.hideLoading();
                            })
                        .catch(function(err) {
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorMapperServiceRest(err));
                        });



                } else {
                    requestSrv.request(config.services.host + confGame, "post", [])
                    .then(function(e) {
                        if (e.data.compraDto !== undefined && e.data.compraDto !== null) {
                            clasicBasicBetsConfig(e.data, e.data.compraDto[0].ApuestaDto);
                        } else {
                            throw e;
                        }
                    })
                    .finally(function(){
                        popupSrv.hideLoading();
                    })
                    .catch(function(err) {
                        popupSrv.hideLoading();
                        popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                    });
                };

            }

            var getEuromillonPrice = function(){
                var precioTotalAUX = {};
                var nSorteos = ($scope.betSettings.dateBet == 'semanal')?$scope.config.numSorteos:1;
                var euromillonPrices= [
                    { tipo: 'sencilla', bloques: 1, numeros: 5, estrellas: 2, numeroDeApuestas: 1, precioSorteo: 2.50},
                    { tipo: 'sencilla', bloques: 2, numeros: 5, estrellas: 2, numeroDeApuestas: 2, precioSorteo: 5.00},
                    { tipo: 'sencilla', bloques: 3, numeros: 5, estrellas: 2, numeroDeApuestas: 3, precioSorteo: 7.50},
                    { tipo: 'sencilla', bloques: 4, numeros: 5, estrellas: 2, numeroDeApuestas: 4, precioSorteo: 10.00},
                    { tipo: 'sencilla', bloques: 5, numeros: 5, estrellas: 2, numeroDeApuestas: 5, precioSorteo: 12.50},
                    { tipo: 'multiple', bloques: 1, numeros: 5, estrellas: 2, numeroDeApuestas: 1, precioSorteo: 2.50},
                    { tipo: 'multiple', bloques: 1, numeros: 5, estrellas: 3, numeroDeApuestas: 3, precioSorteo: 7.5},
                    { tipo: 'multiple', bloques: 1, numeros: 5, estrellas: 4, numeroDeApuestas: 6, precioSorteo: 15.00},
                    { tipo: 'multiple', bloques: 1, numeros: 5, estrellas: 5, numeroDeApuestas: 10, precioSorteo: 25.00},
                    { tipo: 'multiple', bloques: 1, numeros: 6, estrellas: 2, numeroDeApuestas: 6, precioSorteo: 15.00},
                    { tipo: 'multiple', bloques: 1, numeros: 6, estrellas: 3, numeroDeApuestas: 18, precioSorteo: 45.00},
                    { tipo: 'multiple', bloques: 1, numeros: 6, estrellas: 4, numeroDeApuestas: 36, precioSorteo: 90.00},
                    { tipo: 'multiple', bloques: 1, numeros: 6, estrellas: 5, numeroDeApuestas: 60, precioSorteo: 150.00},
                    { tipo: 'multiple', bloques: 1, numeros: 7, estrellas: 2, numeroDeApuestas: 21, precioSorteo: 52.50},
                    { tipo: 'multiple', bloques: 1, numeros: 7, estrellas: 3, numeroDeApuestas: 63, precioSorteo: 157.50},
                    { tipo: 'multiple', bloques: 1, numeros: 7, estrellas: 4, numeroDeApuestas: 126, precioSorteo: 315.00},
                    { tipo: 'multiple', bloques: 1, numeros: 7, estrellas: 5, numeroDeApuestas: 210, precioSorteo: 525.00},
                    { tipo: 'multiple', bloques: 1, numeros: 8, estrellas: 2, numeroDeApuestas: 56, precioSorteo: 140.00},
                    { tipo: 'multiple', bloques: 1, numeros: 8, estrellas: 3, numeroDeApuestas: 168, precioSorteo: 420.00},
                    { tipo: 'multiple', bloques: 1, numeros: 8, estrellas: 4, numeroDeApuestas: 336, precioSorteo: 840.00},
                    { tipo: 'multiple', bloques: 1, numeros: 8, estrellas: 5, numeroDeApuestas: 560, precioSorteo: 1400.00},
                    { tipo: 'multiple', bloques: 1, numeros: 9, estrellas: 2, numeroDeApuestas: 126, precioSorteo: 315.00},
                    { tipo: 'multiple', bloques: 1, numeros: 9, estrellas: 3, numeroDeApuestas: 378, precioSorteo: 945.00},
                    { tipo: 'multiple', bloques: 1, numeros: 9, estrellas: 4, numeroDeApuestas: 756, precioSorteo: 1890.00},
                    { tipo: 'multiple', bloques: 1, numeros: 9, estrellas: 5, numeroDeApuestas: 1260, precioSorteo: 3150.00},
                    { tipo: 'multiple', bloques: 1, numeros: 10, estrellas: 2, numeroDeApuestas: 252, precioSorteo: 630.00},
                    { tipo: 'multiple', bloques: 1, numeros: 10, estrellas: 3, numeroDeApuestas: 756, precioSorteo: 1890.00},
                    { tipo: 'multiple', bloques: 1, numeros: 10, estrellas: 4, numeroDeApuestas: 1512, precioSorteo: 3780.00},
                    { tipo: 'multiple', bloques: 1, numeros: 10, estrellas: 5, numeroDeApuestas: 2520, precioSorteo: 6300.00}
                ];

                if( $scope.betSettings.betModel == 'multiple'){
                    var numerosSeleccionados   = $scope.betSettings.nNumbers !== null? parseInt($scope.betSettings.nNumbers.value,10):0;
                    var estrellasSeleccionadas = parseInt($scope.betSettings.nExtra.value,10);
                    precioTotalAUX =  euromillonPrices.filter(function (price) { return price.tipo == 'multiple' && price.numeros == numerosSeleccionados && price.estrellas == estrellasSeleccionadas; });
                }else{
                    var bloqueSeleccionado = parseInt($scope.betSettings.nBets.value,10);
                    precioTotalAUX =  euromillonPrices.filter(function (price) { return price.tipo == 'sencilla' && price.bloques == bloqueSeleccionado; });
                }

                return (!precioTotalAUX[0])?0:(precioTotalAUX[0].precioSorteo*nSorteos);
            };

            var getLototurfPrice = function(){
                var precioTotalAUX = {};
                var nSorteos = ($scope.betSettings.dateBet == 'semanal')?$scope.config.numSorteos:1;
                var lototurfPrices= [
                    { tipo: 'sencilla', bloques: 1, numeros: 6, caballos: 1, numeroDeApuestas: 1, precioSorteo: 1},
                    { tipo: 'sencilla', bloques: 2, numeros: 6, caballos: 1, numeroDeApuestas: 2, precioSorteo: 2},
                    { tipo: 'sencilla', bloques: 3, numeros: 6, caballos: 1, numeroDeApuestas: 3, precioSorteo: 3},
                    { tipo: 'sencilla', bloques: 4, numeros: 6, caballos: 1, numeroDeApuestas: 4, precioSorteo: 4},
                    { tipo: 'sencilla', bloques: 5, numeros: 6, caballos: 1, numeroDeApuestas: 5, precioSorteo: 5},
                    { tipo: 'sencilla', bloques: 6, numeros: 6, caballos: 1, numeroDeApuestas: 6, precioSorteo: 6},
                    { tipo: 'multiple', bloques: 1, numeros: 6, caballos: 2, numeroDeApuestas: 2, precioSorteo: 2},
                    { tipo: 'multiple', bloques: 1, numeros: 6, caballos: 3, numeroDeApuestas: 3, precioSorteo: 3},
                    { tipo: 'multiple', bloques: 1, numeros: 6, caballos: 4, numeroDeApuestas: 4, precioSorteo: 4},
                    { tipo: 'multiple', bloques: 1, numeros: 7, caballos: 1, numeroDeApuestas: 7, precioSorteo: 7},
                    { tipo: 'multiple', bloques: 1, numeros: 7, caballos: 2, numeroDeApuestas: 14, precioSorteo: 14},
                    { tipo: 'multiple', bloques: 1, numeros: 7, caballos: 3, numeroDeApuestas: 21, precioSorteo: 21},
                    { tipo: 'multiple', bloques: 1, numeros: 7, caballos: 4, numeroDeApuestas: 28, precioSorteo: 28},
                    { tipo: 'multiple', bloques: 1, numeros: 8, caballos: 1, numeroDeApuestas: 28, precioSorteo: 28},
                    { tipo: 'multiple', bloques: 1, numeros: 8, caballos: 2, numeroDeApuestas: 56, precioSorteo: 56},
                    { tipo: 'multiple', bloques: 1, numeros: 8, caballos: 3, numeroDeApuestas: 84, precioSorteo: 84},
                    { tipo: 'multiple', bloques: 1, numeros: 8, caballos: 4, numeroDeApuestas: 112, precioSorteo: 112},
                    { tipo: 'multiple', bloques: 1, numeros: 9, caballos: 1, numeroDeApuestas: 84, precioSorteo: 84},
                    { tipo: 'multiple', bloques: 1, numeros: 9, caballos: 2, numeroDeApuestas: 168, precioSorteo: 168},
                    { tipo: 'multiple', bloques: 1, numeros: 9, caballos: 3, numeroDeApuestas: 253, precioSorteo: 252},
                    { tipo: 'multiple', bloques: 1, numeros: 9, caballos: 4, numeroDeApuestas: 336, precioSorteo: 336},
                    { tipo: 'multiple', bloques: 1, numeros: 10, caballos: 1, numeroDeApuestas: 210, precioSorteo: 210},
                    { tipo: 'multiple', bloques: 1, numeros: 10, caballos: 2, numeroDeApuestas: 420, precioSorteo: 420},
                    { tipo: 'multiple', bloques: 1, numeros: 10, caballos: 3, numeroDeApuestas: 630, precioSorteo: 630},
                    { tipo: 'multiple', bloques: 1, numeros: 10, caballos: 4, numeroDeApuestas: 840, precioSorteo: 840}
                ];

                if( $scope.betSettings.betModel == 'multiple'){
                    var numerosSeleccionados   = $scope.betSettings.nNumbers !== null? parseInt($scope.betSettings.nNumbers.value,10): 0;
                    var caballosSeleccionados = parseInt($scope.betSettings.nExtra.value,10);
                    precioTotalAUX =  lototurfPrices.filter(function (price) { return price.tipo == 'multiple' && price.numeros == numerosSeleccionados && price.caballos == caballosSeleccionados; });
                }else{
                    var bloqueSeleccionado = parseInt($scope.betSettings.nBets.value,10);
                    precioTotalAUX =  lototurfPrices.filter(function (price) { return price.tipo == 'sencilla' && price.bloques == bloqueSeleccionado; });
                }

                return (!precioTotalAUX[0])?0:(precioTotalAUX[0].precioSorteo*nSorteos);
            };

            var getQuinielaPrice = function(){
                var precioTotalAUX = {};
                var nSorteos = ($scope.betSettings.dateBet == 'semanal')?$scope.config.numSorteos:1;
                var quinielaPrice= [
                    { tipo: 'sencilla', bloques: 2, dobles: 0, triples: 0, numeroDeApuestas: 2, precioSorteo: 1.5},
                    { tipo: 'sencilla', bloques: 3, dobles: 0, triples: 0, numeroDeApuestas: 3, precioSorteo: 2.25},
                    { tipo: 'sencilla', bloques: 4, dobles: 0, triples: 0, numeroDeApuestas: 4, precioSorteo: 3},
                    { tipo: 'sencilla', bloques: 5, dobles: 0, triples: 0, numeroDeApuestas: 5, precioSorteo: 3.75},
                    { tipo: 'sencilla', bloques: 6, dobles: 0, triples: 0, numeroDeApuestas: 6, precioSorteo: 4.5},
                    { tipo: 'sencilla', bloques: 7, dobles: 0, triples: 0, numeroDeApuestas: 7, precioSorteo: 5.25},
                    { tipo: 'sencilla', bloques: 8, dobles: 0, triples: 0, numeroDeApuestas: 8, precioSorteo: 6},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 1, numeroDeApuestas: 3, precioSorteo: 2.25},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 2, numeroDeApuestas: 9, precioSorteo: 6.75},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 3, numeroDeApuestas: 27, precioSorteo: 20.25},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 4, numeroDeApuestas: 81, precioSorteo: 60.75},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 5, numeroDeApuestas: 243, precioSorteo: 182.25},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 6, numeroDeApuestas: 729, precioSorteo: 546.75},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 7, numeroDeApuestas: 2187, precioSorteo: 1640.25},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 8, numeroDeApuestas: 6561, precioSorteo: 4920.75},
                    { tipo: 'multiple', bloques: 1, dobles: 0, triples: 9, numeroDeApuestas: 19683, precioSorteo: 14762.25},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 0, numeroDeApuestas: 2, precioSorteo: 1.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 1, numeroDeApuestas: 6, precioSorteo: 4.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 2, numeroDeApuestas: 18, precioSorteo: 13.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 3, numeroDeApuestas: 54, precioSorteo: 40.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 4, numeroDeApuestas: 162, precioSorteo: 121.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 5, numeroDeApuestas: 486 , precioSorteo: 364.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 6, numeroDeApuestas: 1458, precioSorteo: 1093.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 7, numeroDeApuestas: 4374, precioSorteo: 3280.50},
                    { tipo: 'multiple', bloques: 1, dobles: 1, triples: 8, numeroDeApuestas: 13122, precioSorteo: 9841.50},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 0, numeroDeApuestas: 4, precioSorteo: 3.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 1, numeroDeApuestas: 12, precioSorteo: 9.00 },
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 2, numeroDeApuestas: 36, precioSorteo: 27.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 3, numeroDeApuestas: 108, precioSorteo: 81.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 4, numeroDeApuestas: 324, precioSorteo: 243.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 5, numeroDeApuestas: 972, precioSorteo: 729.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 6, numeroDeApuestas: 2916, precioSorteo: 2187.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 7, numeroDeApuestas: 8748, precioSorteo: 6561.00},
                    { tipo: 'multiple', bloques: 1, dobles: 2, triples: 8, numeroDeApuestas: 26244, precioSorteo: 19683.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 0, numeroDeApuestas: 8  , precioSorteo: 6.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 1, numeroDeApuestas: 24, precioSorteo:  18.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 2, numeroDeApuestas: 72 , precioSorteo: 54.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 3, numeroDeApuestas: 216, precioSorteo: 162.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 4, numeroDeApuestas: 648, precioSorteo: 486.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 5, numeroDeApuestas: 1944, precioSorteo: 1458.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 6, numeroDeApuestas: 5832, precioSorteo: 4374.00},
                    { tipo: 'multiple', bloques: 1, dobles: 3, triples: 7, numeroDeApuestas: 17496, precioSorteo: 13122.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 0, numeroDeApuestas: 16, precioSorteo: 12.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 1, numeroDeApuestas: 48, precioSorteo: 36.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 2, numeroDeApuestas: 144, precioSorteo: 108.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 3, numeroDeApuestas: 432, precioSorteo: 324.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 4, numeroDeApuestas: 1296, precioSorteo: 972.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 5, numeroDeApuestas: 3888, precioSorteo: 2916.00},
                    { tipo: 'multiple', bloques: 1, dobles: 4, triples: 6, numeroDeApuestas: 11664, precioSorteo: 8748.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 0, numeroDeApuestas: 32, precioSorteo: 24.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 1, numeroDeApuestas: 96, precioSorteo: 72.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 2, numeroDeApuestas: 288, precioSorteo: 216.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 3, numeroDeApuestas: 864, precioSorteo: 648.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 4, numeroDeApuestas: 2592, precioSorteo: 1944.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 5, numeroDeApuestas: 7776, precioSorteo: 5832.00},
                    { tipo: 'multiple', bloques: 1, dobles: 5, triples: 6, numeroDeApuestas: 23328, precioSorteo: 17496.00},
                    { tipo: 'multiple', bloques: 1, dobles: 6, triples: 0, numeroDeApuestas: 64, precioSorteo: 48.00},
                    { tipo: 'multiple', bloques: 1, dobles: 6, triples: 1, numeroDeApuestas: 192, precioSorteo: 144.00},
                    { tipo: 'multiple', bloques: 1, dobles: 6, triples: 2, numeroDeApuestas: 576, precioSorteo: 432.00},
                    { tipo: 'multiple', bloques: 1, dobles: 6, triples: 3, numeroDeApuestas: 1728, precioSorteo: 1296.00},
                    { tipo: 'multiple', bloques: 1, dobles: 6, triples: 4, numeroDeApuestas: 5184, precioSorteo: 3888.00},
                    { tipo: 'multiple', bloques: 1, dobles: 6, triples: 5, numeroDeApuestas: 15552, precioSorteo: 11664.00},
                    { tipo: 'multiple', bloques: 1, dobles: 7, triples: 0, numeroDeApuestas: 128, precioSorteo: 96.00},
                    { tipo: 'multiple', bloques: 1, dobles: 7, triples: 1, numeroDeApuestas: 384, precioSorteo: 288.00},
                    { tipo: 'multiple', bloques: 1, dobles: 7, triples: 2, numeroDeApuestas: 1152, precioSorteo: 864.00},
                    { tipo: 'multiple', bloques: 1, dobles: 7, triples: 3, numeroDeApuestas: 3456, precioSorteo: 2592.00},
                    { tipo: 'multiple', bloques: 1, dobles: 7, triples: 4, numeroDeApuestas: 10368, precioSorteo: 7776.00},
                    { tipo: 'multiple', bloques: 1, dobles: 7, triples: 5, numeroDeApuestas: 31104, precioSorteo: 23328.00},
                    { tipo: 'multiple', bloques: 1, dobles: 8, triples: 0, numeroDeApuestas: 256, precioSorteo: 192.00},
                    { tipo: 'multiple', bloques: 1, dobles: 8, triples: 1, numeroDeApuestas: 768, precioSorteo: 576.00},
                    { tipo: 'multiple', bloques: 1, dobles: 8, triples: 2, numeroDeApuestas: 2304, precioSorteo: 1728.00},
                    { tipo: 'multiple', bloques: 1, dobles: 8, triples: 3, numeroDeApuestas: 6912, precioSorteo:  5184.00},
                    { tipo: 'multiple', bloques: 1, dobles: 8, triples: 4, numeroDeApuestas: 20736, precioSorteo: 15552.00},
                    { tipo: 'multiple', bloques: 1, dobles: 9, triples: 0, numeroDeApuestas: 512, precioSorteo: 384.00},
                    { tipo: 'multiple', bloques: 1, dobles: 9, triples: 1, numeroDeApuestas: 1536, precioSorteo: 1152.00},
                    { tipo: 'multiple', bloques: 1, dobles: 9, triples: 2, numeroDeApuestas: 4608, precioSorteo: 3456.00},
                    { tipo: 'multiple', bloques: 1, dobles: 9, triples: 3, numeroDeApuestas: 13824, precioSorteo: 10368.00},
                    { tipo: 'multiple', bloques: 1, dobles: 10, triples: 0, numeroDeApuestas: 1024, precioSorteo: 768.00},
                    { tipo: 'multiple', bloques: 1, dobles: 10, triples: 1, numeroDeApuestas: 3072, precioSorteo: 2304.00},
                    { tipo: 'multiple', bloques: 1, dobles: 10, triples: 2, numeroDeApuestas: 9216, precioSorteo: 6912.00},
                    { tipo: 'multiple', bloques: 1, dobles: 10, triples: 3, numeroDeApuestas: 27648, precioSorteo: 20736.00},
                    { tipo: 'multiple', bloques: 1, dobles: 11, triples: 0, numeroDeApuestas: 2048, precioSorteo: 1536.00},
                    { tipo: 'multiple', bloques: 1, dobles: 11, triples: 1, numeroDeApuestas: 6144, precioSorteo:  4608.00},
                    { tipo: 'multiple', bloques: 1, dobles: 11, triples: 2, numeroDeApuestas: 18432, precioSorteo: 13824.00},
                    { tipo: 'multiple', bloques: 1, dobles: 12, triples: 0, numeroDeApuestas: 4096, precioSorteo: 3072.00},
                    { tipo: 'multiple', bloques: 1, dobles: 12, triples: 1, numeroDeApuestas: 12288, precioSorteo: 9216.00},
                    { tipo: 'multiple', bloques: 1, dobles: 13, triples: 0, numeroDeApuestas: 8192, precioSorteo: 6144.00},
                    { tipo: 'multiple', bloques: 1, dobles: 13, triples: 1, numeroDeApuestas: 24576, precioSorteo: 18432.00},
                    { tipo: 'multiple', bloques: 1, dobles: 14, triples: 0, numeroDeApuestas: 16384, precioSorteo: 12288.00}
                ];

                if( $scope.betSettings.betModel == 'multiple'){
                    var doblesSeleccionados   = parseInt($scope.betSettings.nNumbers.value,10);
                    var triplesSeleccionados = parseInt($scope.betSettings.nExtra.value,10);
                    precioTotalAUX =  quinielaPrice.filter(function (price) { return price.tipo == 'multiple' && price.dobles == doblesSeleccionados && price.triples == triplesSeleccionados; });
                }else{
                    var bloqueSeleccionado = parseInt($scope.betSettings.nBets.value,10);
                    precioTotalAUX =  quinielaPrice.filter(function (price) { return price.tipo == 'sencilla' && price.bloques == bloqueSeleccionado; });
                }

                return (!precioTotalAUX[0])?0:(precioTotalAUX[0].precioSorteo*nSorteos);
            };
            var getElGordoPrice = function(){
                var betPrice = 0;
                var precioSencilla = parseInt($scope.config.precio,10)/100;
                var nSorteos = ($scope.betSettings.dateBet == 'semanal')?$scope.config.numSorteos:1;
                var joker = ($scope.gameId == 1 && $scope.betSettings.joker)?parseInt($scope.config.joker,10):0;
                var nApuestas = parseInt($scope.betSettings.nBets.value,10);

                if($scope.betSettings.betModel == 'multiple'){

                    switch($scope.betSettings.nNumbers.value){
                        case 6: nApuestas = 6  ;
                        break;
                        case 7: nApuestas = 21   ;
                        break;
                        case 8: nApuestas = 56  ;
                        break;
                        case 9: nApuestas = 126  ;
                        break;
                        case 10:nApuestas = 252 ;
                        break;
                        case 11:nApuestas = 462 ;
                        break;
                        default:
                    }
                }

                betPrice = (precioSencilla * nApuestas + joker)*nSorteos;
                return (!betPrice)?0:betPrice;
            };

            var getLotoPrice = function(){
                // debugger;
                var betPrice = 0;
                var precioSencilla = parseInt($scope.config.precio,10)/100;
                var nSorteos = ($scope.betSettings.dateBet == 'semanal')?$scope.config.numSorteos:1;
                var joker = ($scope.gameId == 1 && $scope.betSettings.joker)?parseInt($scope.config.joker,10):0;
                var nApuestas = parseInt($scope.betSettings.nBets.value,10);

                if($scope.betSettings.betModel == 'multiple'){

                    switch($scope.betSettings.nNumbers.value){
                        case 7: nApuestas = 7   ;
                        break;
                        case 8: nApuestas = 28  ;
                        break;
                        case 5: nApuestas = 44  ;
                        break;
                        case 9: nApuestas = 84  ;
                        break;
                        case 10:nApuestas = 210 ;
                        break;
                        case 11:nApuestas = 462 ;
                        break;
                        default:
                    }
                }

                betPrice = (precioSencilla * nApuestas + joker)*nSorteos;
                return (!betPrice)?0:betPrice;
            };
            var getLoteriaPrice = function(){
                if($scope.config !== undefined && $scope.betSettings.dateBet !== undefined && $scope.config.sorteos !== undefined){
                    var precioSencilla = parseInt($scope.config.sorteos[$scope.betSettings.dateBet].SorteoDto.precioApuestaSencilla,10)/100;
                    var nApuestas = parseInt($scope.betSettings.nBets.value,10);
                    betPrice = (precioSencilla * nApuestas);
                    return (!betPrice)?0:betPrice;
                }
            };
            $scope.getBetPrice = function(){
                switch($scope.gameId){
                    case "1":
                    $scope.precioTotal = getLotoPrice();
                    break;
                    case "2":
                    $scope.precioTotal = getQuinielaPrice();
                    break;
                    case "3":
                    $scope.precioTotal = getEuromillonPrice();
                    break;
                    case "4":
                    $scope.precioTotal = getLotoPrice();
                    break;
                    case "5":
                    $scope.precioTotal = getElGordoPrice();
                    break;
                    case "7":
                    $scope.precioTotal = getLototurfPrice();
                    break;
                    case "9":
                    $scope.precioTotal = getLoteriaPrice();
                    break;
                    default:
                    break;
                }
            };

            $scope.existeSorteoSemanal = function() {
                existeSorteoSemanal = true;
                if ($scope.config.semanal !== undefined && $scope.config.semanal !== null) {
                    existeSorteoSemanal = true;
                } else {
                    existeSorteoSemanal = false;
                }
                return existeSorteoSemanal;
            };

            $scope.estaJokerActivo = function() {
                estaJokerActivo = true;
                if ($scope.config.jokerActivo === true) {
                    estaJokerActivo = true;
                } else {
                    estaJokerActivo = false;
                }
                return estaJokerActivo;
            };

            function dhm(t) {
                var cd = 24 * 60 * 60 * 1000,
                    ch = 60 * 60 * 1000,
                    d = Math.floor(t / cd),
                    h = Math.floor((t - d * cd) / ch),
                    m = Math.round((t - d * cd - h * ch) / 60000),
                    pad = function(n) {
                        return n < 10 ? '0' + n : n;
                    };
                if (m === 60) {
                    h++;
                    m = 0;
                }
                if (h === 24) {
                    d++;
                    h = 0;
                }
                $scope.diasRestantes = d;
                $scope.horasRestantes = pad(h);
                $scope.minutosRestantes = pad(m);
            }

            var refreshIntervalId = setInterval(function() {
                if ($scope.fechaFinVentasMilis > new Date().getTime()) {
                    dhm($scope.fechaFinVentasMilis - new Date().getTime());
                } else {
                    clearInterval(refreshIntervalId);
                }
                if ($scope.diasRestantes === '0' && $scope.horasRestantes === '0' && $scope.minutosRestantes === '0') {
                    clearInterval(refreshIntervalId);
                }
            }, 60000);

        }
    ]);
