angular.module('selae.games.directives')

.directive('bonolotoBetDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/bonoloto-bet.html',
	    scope:{
	    	bet: '='
	    },
	    controller: ['$scope', function($scope){
	    	$scope.bets = [];
			$scope.raffles = [];

				var formatBets = function(){
					var arrayBets = $scope.bet.combinacionApuesta.split(".");
	    				arrayBets.splice(0,1);

	    		angular.forEach (arrayBets, function(value, key){
	    			var block = value.split("=");
	    			var betAux = block[1].split(":");
	    			var	numbers = betAux[0].split(",");

	    			$scope.bets[key] = {
	    				"block": key + 1,
	    				"numbers": numbers
	    			};
	    		});
				};

	    	var formatDays = function(){
	    		if ($scope.bet.sorteos == "DIARIA"){
	    			$scope.raffles.push($scope.bet.listaSorteos[0].SorteoDto.fecha);
	    		}else{
			    	angular.forEach ($scope.bet.listaSorteos, function(value, key){
	                	this.push(value.SorteoDto.fecha);
	            	},$scope.raffles);
	    		}
	    	};

	    	$scope.init = function(){
	    		$scope.bets = [];
					$scope.raffles = [];
					$scope.betType = ($scope.bet.metodo === "Multiple")? 'multiple':'single';
	    		formatDays();
	    		formatBets();
	    	};
	    }],
	  	link: function(scope){
			scope.$watch("bet", function (newValue, oldValue) {
	  			if(scope.bet.combinacionApuesta !== undefined){
		            scope.init();
	  			}
            });
		}
  	};
}]);
