angular.module('selae.games.directives')

.directive('loteriaTicketDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/loteria-ticket.html',
	    scope:{
	    	data: '='
	    },
	    controller: ['$scope','$filter', function($scope, $filter){
	    	$scope.number = "";
	    	$scope.serie = "";
	    	$scope.fraction ="";
	    	$scope.serial = "";
	    	$scope.code ="";
	    	$scope.day = "";
	    	$scope.date = "";
	    	$scope.price = "";

	    	$scope.init = function(){
	    		$scope.number = "";
		    	$scope.serie = "";
		    	$scope.fraction ="";
		    	$scope.serial = "";
		    	$scope.code ="";
		    	$scope.day = "";
		    	$scope.date = "";
		    	$scope.price = "";

	    		angular.forEach ($scope.data.detalleApuesta[0].apuestasFormateadasParaResguardo, function(value, key){
	    			if ($scope.number !== ""){
	    				$scope.number = $scope.number + " ";
	    			}
		    		$scope.number = $scope.number + value;
	    		}, $scope.bets);

	    		var combinaciones = $scope.data.detalleApuesta[0].combinacionCentral.split(".");

	    		angular.forEach (combinaciones, function(value, key){
	    			if (value !== ""){
			    		var combinacionAux = value.split(":");
			    		$scope.serie = combinacionAux[1] + "ª";
			    		$scope.fraction = $scope.fraction + combinacionAux[2];
			    		if (key != combinaciones.length - 1){
			    			$scope.fraction = $scope.fraction + ", ";
			    		}
			    	}
	    		});

	    		$scope.serial = $scope.data.detalleApuesta[0].numeroSerie;
	    		var fechaAux;
	    		if ($scope.data.sorteoLNac){
					fechaAux = $scope.data.sorteoLNac[0].SorteoDto.idExtFechaSorteo.split(" ");
	    		} else{
	    			fechaAux = $scope.data.detalleApuesta[0].fechasSorteos[0].split(" ");
	    		}
	    		$scope.code = fechaAux[0] + "/" + fechaAux[3];
	    		$scope.day = $scope.data.listaSorteos[0].SorteoDto.nombre;
	    		$scope.price = $scope.data.detalleApuesta[0].precioBoletoEuros.split(",")[0] / $scope.data.detalleApuesta[0].napuestas;
	    		$scope.date = $filter("dateToText")($scope.data.listaSorteos[0].SorteoDto.fecha, 0);
	    	};
	    }],
	  	link: function(scope){
			scope.$watch("data", function (newValue, oldValue) {
	  			if (scope.data.detalleApuesta !== undefined){
	            	scope.init();
	            }
            });
		}
  	};
}]);
