angular.module('selae.games.directives')

.directive('primitivaBetDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/primitiva-bet.html',
	    scope:{
			bet: '='
	    },
	    controller: ['$scope', function($scope){
	    	$scope.bets = [];
	    	$scope.raffles = [];
			// debugger;
			// console.log("Es primitivaBwtDrv");
			
	    	$scope.init = function(){
	    		$scope.bets = [];
				$scope.raffles = [];
				$scope.reintegro = true;

				var combination = $scope.bet.combinacionApuesta.split(";");

				$scope.mReintegro = Number(combination[1]);
				if ( $scope.mReintegro === 0 ) {
					$scope.mReintegro = '0';
				}
				if ( $scope.mReintegro == undefined ) {
					$scope.mReintegro = false;
				}
	    		angular.forEach (combination[0].split("."), function(value, key) {
	    			if (value.length > 0){
			    		this.push(value.substring(value.indexOf("=") + 1).split(","));
	    			}
	    		}, $scope.bets);
	    		if ($scope.bet.sorteos == "DIARIA"){
	    			$scope.raffles.push($scope.bet.listaSorteos[0].SorteoDto.fecha);
	    		}else{
			    	angular.forEach ($scope.bet.listaSorteos, function(value, key){
	                	this.push(value.SorteoDto.fecha);
	            	},$scope.raffles);
	    		}
		    	$scope.betType = ($scope.bet.metodo === "Multiple")? 'multiple':'single';
	    	};
	    }],
	  	link: function(scope){
	  		scope.$watch("bet", function (newValue, oldValue) {
	  			if(scope.bet.combinacionApuesta !== undefined){
		            scope.init();
	  			}
            });
		}
  	};
}]);
