angular.module('selae.games.directives')

.directive('primitivaTicketDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/primitiva-ticket.html',
	    scope:{
	    	data: '='
	    },
	    controller: ['$scope', 'opSrv', 'gamesProvider', function($scope, opSrv, gamesProvider){
	    	$scope.bets = [];
	    	$scope.titleLogo = gamesProvider.getTicketIcon('1');
	    	$scope.dates = "";

	    	$scope.init = function(){
	    		$scope.bets = [];
	    		$scope.dates = "";
	    		angular.forEach ($scope.data.detalleApuesta[0].apuestasFormateadas, function(value, key){
		    		this.push(value.split(","));
	    		}, $scope.bets);

	    		$scope.dates = opSrv.formatDatesForTicket($scope.data.detalleApuesta[0].listaSorteos);
	    	};
	    }],
	  	link: function(scope){
	  		scope.$watch("data", function (newValue, oldValue) {
	  			if (scope.data.detalleApuesta !== undefined){
	            	scope.init();
	            }
            });
		}
  	};
}]);
