angular.module('selae.games.directives')

.directive('quinielaBetDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/quiniela-bet.html',
	    scope:{
	    	bet: '='
	    },
	    controller: ['$scope', '$rootScope', function($scope, $rootScope){
				$scope.bets = [];
				$scope.raffles = [];
				$scope.partidos =[];

	    	$scope.init = function(){
					$scope.bets = [];
					$scope.raffles = [];
					$scope.partidos =[];
					$scope.titleElige8 = false;
					$scope.partidosPleno = false;
					$rootScope.partidosPleno;

					if ($rootScope.partidosPleno) {
						$scope.partidosPleno = $rootScope.partidosPleno;
						$rootScope.partidosPleno = false;
					}

					if ($rootScope.pronosticoElige8) {

						$scope.titleElige8 = true;
						var el8= $rootScope.pronosticoElige8;
						$rootScope.pronosticoElige8 = false;
						
						$scope.enableElige8 = function(ele) {

						return el8.includes(String(ele+1));
					};
					}

					$scope.betType = ($scope.bet.metodo === "Multiple")? 'multiple':'single';
					
					angular.forEach($scope.bet.listaSorteos, function(value, key){
						this.push(value.SorteoDto.fecha);
					},$scope.raffles);
					
					console.log($scope.bet);
					var apuesta = $scope.bet.combinacionApuesta.split(':');
					$scope.plenos = apuesta.pop().split('=')[1].split(',');
					$scope.plenoAl15Data = matchPlenos();
					function matchPlenos () {
						var saveData = {
							'firstTeam' : [],
							'secondTeam' : []
						};
						$scope.plenos.forEach(function(element) {
							element = element.split('-');
							if ( saveData.firstTeam.indexOf(element[0]) === -1 ) {
								saveData.firstTeam.push(element[0]);
							}
							if ( saveData.secondTeam.indexOf(element[1]) === -1 ) {
								saveData.secondTeam.push(element[1]);
							}
						});
						return saveData;
					}

					var combos = apuesta[0].split('.');
					combos.shift();

					angular.forEach (combos,function(value, key){
						this.push(value.split('=').pop().split(','));
					},$scope.bets);

					angular.forEach ( $scope.bet.partidos, function(value, key){
						value.bets = [];
						for(j=0;j<$scope.bets.length;j++){
							value.bets.push($scope.bets[j][key]);
						}
						this.push(value);
					}, $scope.partidos);
	    	};
	    }],
	  	link: function(scope){
				scope.$watch("bet", function (newValue, oldValue) {
	  			if(scope.bet.combinacionApuesta !== undefined){
		            scope.init();
	  			}
        });
			}
  	};
}]);
