angular.module('selae.games.directives')

.directive('quintuplePlusBetDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/quintuple-plus-bet.html',
	    scope:{
	    	bet: '='
	    },
	    controller: ['$scope', function($scope) {

			console.log($scope.bet);
			$scope.bets = [];
	    	$scope.raffles = [];
	    	$scope.init = function() {
				console.log($scope.bet);
				$scope.raffles = [];
				//testing
				angular.forEach($scope.bet.listaSorteos, function(value, key){
					this.push(value.SorteoDto.fecha);
				},$scope.raffles);
				////////////////
				$scope.carreras =[{"nombre":'Carrera 1'},{"nombre":'Carrera 2'}, {"nombre":'Carrera 3'},{"nombre":'Carrera 4'},{"nombre":'Carrera 5 (1º)'}, {"nombre":'Carrera 5 (2º)'}];	
				$scope.betType = ($scope.bet.metodo === "Multiple")? 'multiple':'single';
				angular.forEach ($scope.bet.apuestasFormateadas, function(value, key) {
		    		this.push(value.split(",")); 
	    		}, $scope.bets); 
	    	};
	    }],
	  	link: function(scope) {
				scope.$watch("bet", function (newValue, oldValue) {
	  			if(scope.bet.combinacionApuesta !== undefined){
		            scope.init();
	  			}
        });
			}
  	};
}]);
