angular.module('selae.games.directives')

.directive('stepBetsDrv', ['$compile', function($compile) {
	var getTemplate = function(gameId) {
        switch (gameId){
    		case "1":
    			return "<primitiva-bet-drv bet='bet'></primitiva-bet-drv>";
    		case "2":
    			return "<quiniela-bet-drv bet='bet'></quiniela--bet-drv>";
    		case "3":
    			return "<euromillon-bet-drv bet='bet'></euromillon-bet-drv>";
    		case "4":
    			return "<bonoloto-bet-drv bet='bet'></bonoloto-bet-drv>";
    		case "5":
    			return "<el-gordo-bet-drv bet='bet'></el-gordo-bet-drv>";
    		case "6":
    			return "<quinigol-bet-drv bet='bet'></quinigol-bet-drv>";
    		case "7":
    			return "<lototurf-bet-drv bet='bet'></lototurf-bet-drv>";
    		case "8":
    			return "<quintuple-plus-bet-drv bet='bet'></quintuple-plus-bet-drv>";
    		case "9":
    			return "<loteria-bet-drv bet='bet'></loteria-bet-drv>";
				default:
				break;
    	}
	};
	return {
	    restrict: 'E',
	    scope:{
	    	gameId: '=',
			bet: '='
	    },
        link: function(scope, element, attrs) {
            var template = $compile(getTemplate(scope.gameId))(scope);
            element.replaceWith(template);
        }
  	};
}]);
