angular.module('selae.games.directives')

.directive('ticketDrv', ['$compile', function($compile) {
	var getTemplate = function(gameId) {
		switch (gameId){
    		case "1":
    			    return "<primitiva-ticket-drv data='data'></primitiva-ticket-drv>";
    		case "2":
					return "<quiniela-ticket-drv data='data'></quiniela-ticket-drv>";
    		case "3":
					return "<euromillon-ticket-drv data='data'></euromillon-ticket-drv>";
    		case "4":
    			    return "<bonoloto-ticket-drv data='data'></bonoloto-ticket-drv>";
    		case "5":
					return "<el-gordo-ticket-drv data='data'></el-gordo-ticket-drv>";
    		case "6":
					return "<quinigol-ticket-drv data='data'></quinigol-ticket-drv>";
    		case "7":
					return "<lototurf-ticket-drv data='data'></lototurf-ticket-drv>";
    		case "8":
		            return "<quintuple-plus-ticket-drv data='data'></quintuple-plus-ticket-drv>";
    		case "9":
					return "<loteria-ticket-drv data='data'></loteria-ticket-drv>";
            case "10":
                    return "<loteria-ticket-drv data='data'></loteria-ticket-drv>";
				default:
				break;
    	}
	};
	return {
	    restrict: 'E',
	    scope:{
	    	data: '=',
            gameId: '='
	    },
        link: function(scope, element, attrs) {
            var template = $compile(getTemplate(scope.gameId))(scope);
            element.replaceWith(template);
        }
  	};
}]);
