angular.module('selae.games', ['ionic','selae.games.controllers', 'selae.games.directives'])
.config(['$stateProvider', function($stateProvider) {

    $stateProvider.state('app.quickBet', {
        url: '/games/quick-bet/:game_id/:voiceActive',
        views: {
            'menuContent': {
                templateUrl: 'games/templates/quick-bet.html',
                controller: 'QuickBetCtrl'
            }
        }
    });

    $stateProvider.state('app.stepBet', {
        url: '/games/step-bet/:game_id',
        views: {
            'menuContent': {
                templateUrl: 'games/templates/step-bet.html',
                controller: 'StepBetCtrl'
            }
        }
    });

    $stateProvider.state('app.summaryBet', {
        url: '/games/summary-bet/:game_id/:type/:bet_id/:combination/:subcription/:reintegro/:serviceV2',
        views: {
            'menuContent': {
                templateUrl: 'games/templates/summary-bet.html',
                controller: 'SummaryBetCtrl'
            }
        }
    });

    $stateProvider.state('app.combinationBet', {
        url: '/games/combination-bet/:game_id/:subcription/:protocoloReintegro/:minBet/:maxBet',
        views: {
            'menuContent': {
                templateUrl: 'games/templates/combination-bet.html',
                controller: 'CombinationBetCtrl'
            }
        }
    });

    $stateProvider.state('app.ticket', {
        url: '/games/quick-bet-ticket/:game_id/:favorite/:serviceV2/:favoriteName',
        views: {
            'menuContent': {
                templateUrl: 'games/templates/ticket.html',
                controller: 'TicketCtrl'
            }
        }
    });

    $stateProvider.state('app.raffles', {
        url: '/games/active-raffles',
        views: {
            'menuContent': {
                templateUrl: 'games/templates/active-raffles.html',
                controller: 'ActiveRafflesCtrl'
            }
        }
    });

}]);
