angular.module('selae.user', ['ionic', 'selae.user.controllers', 'selae.user.directives'])
.config(['$stateProvider', function($stateProvider) {
    // Selae app user states
    $stateProvider.state('app.loadLotobolsa', {
        url: '/user/load-lotobolsa',
        views: {
            'menuContent': {
                templateUrl: 'user/templates/load-lotobolsa.html',
                controller: 'LoadLotobolsaCtrl'
            }
        }
    });
    $stateProvider.state('app.registerRoute', {
        url: '/user/register-route',
        views: {
            'menuContent': {
                templateUrl: 'user/templates/register-route.html',
                controller: 'RegisterRouteCtrl'
            }
        }
    });
    $stateProvider.state('app.registerForm', {
        url: '/user/register-form',
        views: {
            'menuContent': {
                templateUrl: 'user/templates/register-form.html',
                controller: 'RegisterFormCtrl'
            }
        },
        params: {
            ocrData: null
        }
    });
    $stateProvider.state('app.userProfile', {
        url: '/user/user-profile',
        views: {
            'menuContent': {
                templateUrl: 'user/templates/user-profile.html'
            }
        }
    });
}]);