angular.module('selae.bets', ['ionic', 'selae.bets.controllers', 'selae.bets.directives', ])
  .config(['$stateProvider', function ($stateProvider) {

      $stateProvider.state('app.myBets', {
      url: '/bets/my-bets',
      views: {
        'menuContent': {
          templateUrl: 'bets/templates/my-bets.html',
          controller: 'MyBetsCtrl'
        }
      }
    });
    

    $stateProvider.state('app.myBetDetail', {
      url: '/bets/my-bets/my-bet-detail/:game_id',
      views: {
        'menuContent': {
          templateUrl: 'bets/templates/my-bet-detail.html',
          controller: 'MyBetDetailCtrl'
        }
      }
    });

    $stateProvider.state('app.myFavourites', {
      url: '/bets/my-favourites',
      views: {
        'menuContent': {
          templateUrl: 'bets/templates/my-favourites.html',
          controller: 'MyFavouritesCtrl'
        }
      }
    });
    
    $stateProvider.state('app.myFavouritesDetail', {
      url: '/bets/my-favourites/detail',
      views: {
        'menuContent': {
          templateUrl: 'bets/templates/my-favourites-detail.html',
          controller: 'MyFavouritesDetailCtrl'
        }
      },
      params: {
        dataTransfer: null
      }
    });

     $stateProvider.state('app.myFavouritesPlayAgain', {
      url: '/bets/my-favourites/play-again',
      views: {
        'menuContent': {
          templateUrl: 'bets/templates/my-favourites-play-again.html',
          controller: 'MyFavouritesPlayAgainCtrl'
        }
      },
      params: {
        dataTransfer: null
      }
     });

  }]);
