angular.module('selae.bets.controllers')
    .controller('MyFavouritesDetailCtrl', ['$scope', '$stateParams', '$state', '$rootScope',
        function ($scope, $stateParams, $state, $rootScope) {
            $rootScope.titleLogo = $stateParams.dataTransfer.gameHeaderImg;

            try {
               $scope.data = $stateParams.dataTransfer;
            } catch(e) { console.error('No se le han pasado datos a la pagina de detalle');}

            $scope.combi = getExtraInfo().combi;
            $scope.extra = getExtraInfo().extra;
            $scope.race = ["Carrera1", "Carrera2", "Carrera3", "Carrera4", "Carrera5(1º)", "Carrera5(2º)"];
            $scope.qgol = ["Equipo 1-Equipo 2", "Equipo 3-Equipo 4", "Equipo 5-Equipo 6", "Equipo 7-Equipo 8", "Equipo 9-Equipo 10", "Equipo 11-Equipo 12"];
            $scope.quin = ["Equipo 1-Equipo 2", "Equipo 3-Equipo 4", "Equipo 5-Equipo 6", "Equipo 7-Equipo 8", "Equipo 9-Equipo 10", "Equipo 11-Equipo 12","Equipo 13-Equipo 14", "Equipo 15-Equipo 16", "Equipo 17-Equipo 18", "Equipo 19-Equipo 20", "Equipo 21-Equipo 22", "Equipo 23-Equipo 24", "Equipo 25-Equipo 26", "Equipo 27-Equipo 28"];

            /*******************************************/
            function getExtraInfo() {
                var obj = [{id: "1",combi: 'Bloque',extra: 'Reintegro'},{id: "6",combi: null, extra: null},{id: "8",combi: null, extra: null},{id: "4",combi: 'Bloque',extra: 'Reintegro'},{id: "3",combi: 'Bloque',extra: 'Estrellas'},{id: "5",combi: 'Bloque',extra: 'Nº Clave'},{id: "7",combi: 'Bloque',extra: 'Caballos'},{id: "2",combi: 'Bloque',extra: '15. Equipo 29-Equipo 30'},{id: "9",combi: 'Décimo',extra: $rootScope.selae.properties.numberOfTickets },{ id: "10",combi: 'Décimo', extra: $rootScope.selae.properties.numberOfTickets }];
                return obj.filter(function (i) {
                    if (i.id == $stateParams.dataTransfer.gameId) {
                        return { combi: i.combi, extra: i.extra };
                    }
                })[0];
            }
            /*******************************************/
            
            // Funcion para ver si tenemos elige8
            if($scope.data.gameId == 2) {
                $scope.playElige8 = $scope.data.favoritaJuegoAsociado !== undefined;
                if ($scope.playElige8) {
                    $scope.arrayElige8 = $scope.data.favoritaJuegoAsociado.combinacion.bloques[0].rejillas[1].pronosticos;
                }        
            }
            
            $scope.enableElige8 = function(ele) {
                if ( $scope.playElige8 ) {
                    return $scope.arrayElige8.includes(""+(ele+1));
                } else { 
                    return false;
                }
            };

        }
    ]);