angular.module('selae.core.controllers')
.controller('contactCtrl', ['$http','$rootScope','config','popupSrv','requestSrv','$scope','$stateParams','$timeout','$ionicScrollDelegate', '$ionicPlatform', '$state', '$filter',
 function($http,$rootScope, config, popupSrv, requestSrv, $scope, $stateParams, $timeout, $ionicScrollDelegate, $ionicPlatform, $state, $filter) {

 	$scope.$on('$ionicView.beforeEnter', function (event, viewData) {
        viewData.enableBack = true;
    });

	//

	var deregisterHardBack = $ionicPlatform.registerBackButtonAction($rootScope.selaeGoBack, 101);
	$scope.$on('$destroy', deregisterHardBack);

 	$scope.data = {
		name: null,
		email: null,
		subject: null,
		message: null
	 };

$scope.enviar = function() {
        var contacto = true;
        if ($scope.data.name && $scope.data.email && $scope.data.subject && $scope.data.message) {
            if ( validateEmail($scope.data.email) ) {
                try {cordova.plugins.Keyboard.close();} catch(e) {console.warn(e);}
                // Peticion al servicio
                var params = formatParam($scope.data);
                document.getElementById("contact").disabled = true;
                var url = config.services.host + config.services.contact;
                $http({method: 'POST', url: url, params: params})
                    .then(function(res) {
                        try {
                            if(res.data.error) { throw res; }
                if(res.data.filtro) { throw res; }
                if(res.data.Filtro) { throw res; }
                            if (!res.data.envioExitoso[0]) { throw res.data; }
                            popupSrv.showInfoCallabackPopup("",$rootScope.selae.properties.contactInfoSent, undefined, function() {
                                $state.go("app.home");
                            });
                        } catch(err) { 
                            console.error(err);
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorHandler2(res)); //Sistema de errores el servicio requestSrv
                        }
                }, function(err) {
                    console.error(err);
                    popupSrv.hideLoading();
                    popupSrv.showErrorPopup(requestSrv.errorHandler2(res)); //Sistema de errores el servicio requestSrv
                });

            } else {
                try {cordova.plugins.Keyboard.close();} catch(e) {console.warn(e);}
                popupSrv.showErrorPopup($filter('translate')("emailNotValid"));
            }
        } else {
            popupSrv.showErrorPopup($filter('translate')("requiredInfo"));
    }

		function formatParam(data) {
			return {
				action:	'enviar',
				tema: data.subject,
				nombre:	data.name,
				emailcontacto: data.email,
				mensaje: data.message
			};
		}
	};

	function validateEmail(email) {
		try {
    		var rex = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return rex.test(email);
		} catch(e) { console.error(e); }
	}

	$scope.scroll = function(){
        $ionicScrollDelegate.resize();
        console.log("lanza funcion");
    };   
	
}]);