angular.module('selae.games.controllers')

.controller('ActiveRafflesCtrl', ['gamesProvider','$scope', '$http', 'requestSrv','config','popupSrv','$rootScope','$ionicScrollDelegate','$timeout', 'analyticsSrv',
function(gamesProvider, $scope, $http, requestSrv, config, popupSrv, $rootScope,$ionicScrollDelegate, $timeout, analyticsSrv) {
	if(window.ga !== undefined) {analyticsSrv.trackView('Próximos sorteos');}

	$scope.data = [];
	//$scope.image = $rootScope.selae.properties !== undefined ? $rootScope.selae.properties["sorteos.imagen.fuente"] : "";

  $rootScope.$watch('selae.properties', function (newValue, oldValue) {
    if ($rootScope.selae.properties !== undefined) {
      $scope.imageData = getImages();
    }
  });

  if ($rootScope.selae.properties !== undefined) {
    $scope.imageData = getImages();
  }

  //inicializamos a false la variable que determina si hay que volver al ticket tras la recarga de lotobolsa
  if ($rootScope.ticket === true){
	$rootScope.ticket = false;
  }


  function getImages() {
    return [
      {
        src: $rootScope.selae.properties["sorteos.imagen.fuente"],
        link: $rootScope.selae.properties["sorteos.imagen.url"],
        dest: $rootScope.selae.properties["sorteos.imagen.destino"],
        game_id: $rootScope.selae.properties["sorteos.imagen.game_id"]
      },
    ];
  }

	$scope.itemSelected = -1;
	$scope.gamesData = gamesProvider.getGames();

	$scope.swiper = {};

	$scope.onReadySwiper = function (swiper) {
		if ($scope.itemSelected === 0){
			angular.element(".swiper-slide-active").addClass("carousel-active");
		}
		swiper.on('tap', function () {
			$scope.itemSelected = swiper.activeIndex;
			angular.element(".carousel-active").removeClass("carousel-active");
			angular.element(".swiper-slide-active").addClass("carousel-active");
			$scope.$apply();
			$timeout(function () {
				$ionicScrollDelegate.resize();
			},100);
		});
    };

	$scope.carouselConfig={
		'initialSlide': $scope.gamesData.length > 4 ? 2: $scope.gamesData.length == 4 ? 1 : $scope.gamesData.length == 2 ? 0 : $scope.gamesData.length/2,
		'slidesPerView': $(window).width() <= 320 ? 3 : $(window).width() > 480 ? 5 : 4,
		'freeMode': 'true',
		'centeredSlides': 'true',
		'freeModeSticky' : 'true',
		'slideToClickedSlide' : 'true',
		'speed': 300
	};

	$scope.unfilter = function(){
		requestSrv.cancelAll();
		$scope.itemSelected = -1;
		angular.element(".carousel-active").removeClass("carousel-active");
		$timeout(function () {
			$ionicScrollDelegate.resize();
		},100);
	};

	$scope.getRaffles = function(){
/*
		$http({ method: 'GET', url: 'https://www.selae.es/servicios/proximosv3?game_id=TODOS' })
		.then(function successCallback(res) {
				//alert( JSON.stringify(res) );
  	}, function errorCallback(res) {
    		//alert( JSON.stringify(res) );
  	});
*/
// debugger
		requestSrv.request(config.services.cmsHost + config.services.proximosv3, "get", [{name:"game_id",value:"TODOS"}])
        .then(function(e) {
					//alert( JSON.stringify(e) );
        	$scope.data = e.data;
        }, function(err) {
        		popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
        });
	};

	$scope.moreInformationWeb = function(data) {
		if (window.ga) {
			var juegos = gamesProvider.getGames();
			for (var i=0; i<gamesProvider.getGames().length; i++ ) {
				if (data.id = juegos[i].text) {
					var aId = juegos[i].idJuego;
					break;
				}
			}
			var anaGameName = analyticsSrv.setName(aId);
			analyticsSrv.trackEvent('Próximos_Sorteos', 'Información', anaGameName)
		}
		console.log(data);
		var date = new Date().getFullYear().toString();
		var type = 'moreInfoSorteos' + data.game_id;
		var url = $rootScope.selae.properties[type] + date + '/' + data.id_sorteo;
		window.open(url, '_system');
	};



}]);

