angular.module('selae.games.controllers')

.controller('CombinationBetCtrl', ['$scope', '$rootScope', '$stateParams', '$ionicHistory', '$state', 'popupSrv', '$filter', '$timeout', 'config', 'requestSrv', '$ionicPlatform', 'opSrv', '$q', 'gameConfigProvider', 'analyticsSrv', '$http',
function($scope, $rootScope, $stateParams, $ionicHistory, $state, popupSrv, $filter, $timeout, config, requestSrv, $ionicPlatform,opSrv,$q,gameConfigProvider,analyticsSrv, $http) {
  if (window.ga !== undefined) {
    var anaGameName = analyticsSrv.setName($stateParams.game_id);
    analyticsSrv.trackView('Paso a Paso-2_Combinación-' + anaGameName); 
}

//inicializamos a false la variable que determina si hay que volver al ticket tras la recarga de lotobolsa
if ($rootScope.ticket === true){
    $rootScope.ticket = false;
}

  $scope.gameId = $stateParams.game_id;
// debugger;  
  $scope.protocoloReintegro= $stateParams.protocoloReintegro;
  $scope.betsRange = {
    minBet: Number($stateParams.minBet),
    maxBet: Number($stateParams.maxBet)
  };
  var elGordoV2serviceCheck = $filter('translate')('elGordoV2Service') || false;
  //var elGordoV2serviceCheck = true;

  $scope.block = [];
  $scope.betParams = requestSrv.getBetConfig();
  $scope.data = {};
  $scope.numeroActiva = '1';
  $scope.continueDisabled = true;
  var pleno = '';
  var MAX_PARTIDOS = 14;
  var automatic;
  var deregisterHardBack = $ionicPlatform.registerBackButtonAction($rootScope.selaeGoBack, 101);

  $scope.$on('$destroy', deregisterHardBack);
  $scope.seleccionarTabActiva = function(tabActiva) {
    $scope.numeroActiva = tabActiva;
  };
// debugger;
  /*<<Funciones para validar elementos de distintas apuestas>>*/

  function ticketNumbers(){
    var numbers = "";
    angular.forEach(angular.element('input[name^=number-]'), function(value, key) {
      numbers = numbers + angular.element(value).val();
    });
    return numbers;
  }

  function isTicketValid(){
    var pattern = new RegExp("\\*\\d+\\*");
    var ticket = ticketNumbers();

    return !pattern.test(ticket);
  }

  $scope.input = function(number){
    angular.element('input[name=number-' + $scope.currentInput +']').val(number);
    if ($scope.currentInput < 5){
      $scope.currentInput++;
    }
    else{
      $scope.currentInput = 1;
    }
  };

  var sendBet1 = function(betSorted) {
    var bet = 0;
    var betString = "";
    for (var i = 1; i <= 6; i++) {
      betString = betString + $scope.betOptions[(betSorted[i][0]) - 1];
      for (var j = 1; j < betSorted[i].length; j++) {
        bet = $scope.betOptions[(betSorted[i][j] - 1)];
        betString = betString + ',' + bet;
      }
      if (i != 6) {
        betString = betString + ':';
      }
    }
    return betString;
  };

  var sendBetQ1 = function(betSorted) {
    var bet = 0;
    var betString = "";
    for (var i = 1; i <= 6; i++) {
      betString = betString + (betSorted[i][0]);
      for (var j = 1; j < betSorted[i].length; j++) {
        bet = (betSorted[i][j]);
        betString = betString + ',' + bet;
      }
      if (i != 6) {
        betString = betString + ':';
      }
    }
    return betString;
  };

  /*<<Funciones para validar cada tipo de apuesta>>*/


  var addBlocks = function (block, i, next) {
    if(i=== block.length ){
      next();
    }
    else{
      var resp = opSrv.addBlock($scope.cleanBlocks,i,$scope.gameId,$scope.betParams,$scope,$scope.cleanBlocks[i].automatic);
      resp.then(function() {
        console.log("end para ",i);
        addBlocks(block,++i,next);
      });
    }
  };

  var quinielaV2Service = function() {
    // debugger;
  var quiniela = function () {

      // Funcion para obtener el dato real de la apuesta de los valores true o false obtenidos del grid 
      var getValuePleno = function(ite) {
        if (ite===1) {
          value = '0';
        } else if (ite===2) {
          value = '1';
        } else if (ite===3) {
          value = '2';
        } else if (ite===4) {
          value = 'M';
        }
        return value;
      };

      var getValueBet = function (ite) {
        if (ite===1) {
          value = '1';
        } else if (ite===2) {
          value = 'X';
        } else if (ite===3) {
          value = '2';
        }
        return value;
      };
  
      // hacemos tantos arrays como apuestas tengamos
      var combinaciones = $scope.cleanBlocks.map(function(elm){ 
        return elm.item;
      });
  
      // Variable para el objeto del json
      var combinacionApuesta = "";

      // elemento comúnes
      var almacenarPleno = ".1=";
      
      var formatPleno2 = function(bloquePleno,bloquePleno2){
        if (!bloquePleno.length || !bloquePleno2.length) {
          bloquePleno.length = 5;
          bloquePleno2.length = 5;
        }
        for ( i=1; i<bloquePleno.length; i++ ) {
          if (bloquePleno[i] && bloquePleno[i].selected === true) {
            for (j=1; j<bloquePleno2.length; j++) {
              if (bloquePleno2[j] && bloquePleno2[j].selected === true) {
                almacenarPleno = almacenarPleno + getValuePleno(i)+'-'+getValuePleno(j)+',';
              }
            }
          }
        }
        almacenarPleno = almacenarPleno.slice(0, -1);
      };

      var formatSimpleQuiniela = function() {
        for (i=1;i<combinaciones.length;i++) {
          // Patrón para añadir bloques de apuestas simples
          combinacionApuesta = combinacionApuesta + "."+(i)+'=';
          longitud = Object.keys(combinaciones[i]);
          for (j=1; j< longitud.length + 1; j++) {
            combinacionApuesta = combinacionApuesta + combinaciones[i][j].selected + ',';
            }
            combinacionApuesta = combinacionApuesta.slice(0, -1);
        }
        combinacionApuesta = combinacionApuesta +':';
      };

      var formatMultiQuiniela = function () {
        combinacionApuesta = '.1=';
        longitud = Object.keys(combinaciones[1]);
        for (i=1; i<longitud.length+1; i++) {
          console.log(combinaciones[1][i]);
          long2 = Object.keys(combinaciones[1][i].values);
          for (j=1; j<4; j++) {
            console.log(combinaciones[1][i].values[j]);
            
            if (combinaciones[1][i].values[j] && combinaciones[1][i].values[j].selected === true) {
              console.log(combinaciones[1][i].values[j].selected);
              combinacionApuesta = combinacionApuesta + getValueBet(j);
            }
          }
        combinacionApuesta = combinacionApuesta+',';
        console.log('Fuera del if',combinacionApuesta);
        }
        combinacionApuesta = combinacionApuesta.slice(0, -1) + ':';
      };

      if ($scope.betParams.betModel != 'multiple') {
        formatSimpleQuiniela();
      } else {
        formatMultiQuiniela();
      }
  
      // Llamamos a formatear pleno
      formatPleno2($scope.cleanBlocks[1].extraItem[1].values,$scope.cleanBlocks[1].extraItem[2].values);
      combinacionApuesta = combinacionApuesta + almacenarPleno;
      console.log(combinacionApuesta);
      // debugger;
      $scope.combinacionApuesta = combinacionApuesta;
      return combinacionApuesta;
  
    };

    // formateamos apuesta
    // console.log(JSON.stringify($scope.cleanBlocks));
    quiniela();

    var metodo = function () {
      var betModeValue;
      if ($scope.betParams.betModel != 'multiple') {
        betModeValue = "Sencillo";
      } else {
        betModeValue = "Multiple";
      }
      return betModeValue;
    };

    params2 = {
      "combinacionApuesta": $scope.combinacionApuesta,
      "idJuego": String($scope.gameId),
      "metodo": metodo(),
      "sorteos": "DIARIA",
      "canal":"APP_MOVIL"
      };

      // TODO: Se mete a variable global por las prisas. Hay que cambiarlo y meter los datos por parametros.
      $rootScope.pronosticoElige8 = false;

    if ($scope.cleanBlocks[1].extraItem.elige8 && Object.keys($scope.cleanBlocks[1].extraItem.elige8.values).length>0) {
      console.log($scope.cleanBlocks[1].extraItem.elige8);
      // debugger;

      var pronosticos = Object.keys($scope.cleanBlocks[1].extraItem.elige8.values);

      // TODO: Cambiar metodo de pasar los datos
      $rootScope.pronosticoElige8 = pronosticos;

      $scope.apuestaJuegoAsociado = {
          "combinacion":{
            "bloques":[{
              "rejillas":[{
                "pronosticos":["1"]},
                            {"pronosticos":pronosticos}
                            ]}]
                            },"juegoId":13
      };
        params2 = {
          "combinacionApuesta": $scope.combinacionApuesta,
          "idJuego": $scope.gameId,
          "metodo": metodo(),
          "sorteos": "DIARIA",
          "apuestaJuegoAsociado": $scope.apuestaJuegoAsociado,
          "canal":"APP_MOVIL"
          }
        };
    
// debugger;

    $http({
      method: 'POST',
      url: config.services.host + config.services.validateQuiniela,
      data: JSON.stringify(params2)
  }) .then(function(e) {
    console.log('Primer servicio', e);
    try {
  console.log('test cancelBet', e.data.apuestaDTO.idJuego);
  console.log('test cancelBet', e.data.apuestaDTO.metodo);
  console.log('test cancelBet', e.data.apuestaDTO.idSorteo);
  $rootScope.cancelBetData = {
    idJ: e.data.apuestaDTO.idJuego,
    metod: e.data.apuestaDTO.metodo,
    idS: e.data.apuestaDTO.idSorteo
  };
  } catch(e) {/**/}
    if (e.data.msgError === undefined || e.data.msgError === "" || e.data.msgError === null){
      console.log("Todo va bien");
      // debugger;
      nextStep();
    } else{
      // debugger;
      popupSrv.hideLoading();
      popupSrv.showErrorPopup(e.data.msgError);
    }
  }, function(err) {
    // debugger;
    popupSrv.hideLoading();
    popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
      requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
    }));
    $ionicHistory.goBack();
  });

  };

  var addQuiniela = function(index,callback) {
    var betBlock = '';
    if ($scope.betParams.betModel != 'multiple'){
      angular.forEach($scope.cleanBlocks[index].item, function(value, key) {
        if (key < 15) {
          betBlock += value.selected + ',';
        }
      });
      betBlock = betBlock.substring(0, betBlock.length - 1);
    }
    else{
      angular.forEach(Object.keys($scope.cleanBlocks[index].item), function(match, matchKey) {
        angular.forEach(Object.keys($scope.cleanBlocks[index].item[match].values), function(value, key){
          if (matchKey < 15) {
            if ($scope.cleanBlocks[index].item[match].values[value].selected !== undefined &&
              $scope.cleanBlocks[index].item[match].values[value].selected === true){
                switch(value){
                  case "1":
                  betBlock += "1";
                  break;
                  case "2":
                  betBlock += "X";
                  break;
                  case "3":
                  betBlock += "2";
                  break;
                  default:
                }
              }
            }

          });
          betBlock += ",";
        });
        betBlock = betBlock.substring(0, betBlock.length - 1);
      }

      if ($scope.plenoSended === false) {
        angular.forEach($scope.cleanBlocks[index].extraItem, function(value, key) {

          //Si el bloque extra corresponde al de elige8, se obvia ya que no sirve para construir el plenoAl15
          if(key !== 'elige8') {
            angular.forEach(value.values, function(item, key2){
              var plenoItem = "";
              switch(key2.toString()){
                case "1":
                plenoItem ="0";
                break;
                case "2":
                plenoItem ="1";
                break;
                case "3":
                plenoItem ="2";
                break;
                case "4":
                plenoItem ="M";
                break;
                default:
              }
              pleno += item.selected === true ? plenoItem : "";
            });
          }
          pleno += '-';
        });
        pleno = pleno.substring(0, pleno.length - 1);
      }

      var params = [
      {
        name: "pronostico",
        value: betBlock
      }, {
        name: "plenoAl15",
        value: pleno
      }, {
        name: "tipoQuiniela",
        value: $scope.betParams.betModel === "sencilla" ? "1" : "2"
      }, {
        name: "automatica",
        value: $scope.cleanBlocks[index].automatic === true? 'TRUE' : 'FALSE'
      }, {
        name: "action",
        value: "quiniela.valida"
      }, {
        name: "Sorteo",
        value: "DIARIA"
      }];

      requestSrv.request(config.services.host + config.services.configQuiniela, "post", params)
      .then(function(e) {
        console.log('Primer servicio', e);
        try {
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idJuego);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.metodo);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idSorteo);
      $rootScope.cancelBetData = {
        idJ: e.data.compraDto[0].ApuestaDto.idJuego,
        metod: e.data.compraDto[0].ApuestaDto.metodo,
        idS: e.data.compraDto[0].ApuestaDto.idSorteo
      };
      } catch(e) {/**/}
        if (e.data.compraDto[0].ApuestaDto.msgError === undefined || e.data.compraDto[0].ApuestaDto.msgError === ""){
          $scope.cleanBlocks[index].isBlocked = true;
          var max = 0;

          angular.forEach($scope.cleanBlocks, function(value, key) {
            if (value.nBlock > max) {max = value.nBlock;}
          });

          $scope.cleanBlocks[index].nBlock = max + 1;

          var allOk = true;
          for (var i = 0; i < $scope.cleanBlocks.length && allOk !== false; i++) {
            if (i + 1 < $scope.cleanBlocks.length) {
              if ($scope.cleanBlocks[i + 1].nBlock === 0) {allOk = false;}
            }
          }

          $scope.plenoSended = true;

          angular.element("#check" + (index-1)).addClass("check");

          if(i === $scope.cleanBlocks.length){
            if (allOk === true) {
              console.log("end");
              callback();
            }
          }
          else{
            addQuiniela(++index,callback);
            return $q.resolve( true );
          }
        } else{
          popupSrv.hideLoading();
          popupSrv.showErrorPopup(e.data.compraDto[0].ApuestaDto.msgError);
          pleno = '';
          return $q.reject( false );
        }
      }, function(err) {
        popupSrv.hideLoading();
        popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
          requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
        }));
        $ionicHistory.goBack();
        return $q.reject( false );
      });
  };

  var elGordoV2Service = function() {
    $scope.serviceV2 = elGordoV2serviceCheck;
    var combinacionApuesta = "";
    console.log($scope.cleanBlocks);    
    // hacemos tantos arrays como apuestas tengamos
    var combinaciones = $scope.cleanBlocks.map(function(elm){ 
        return {
            'combination' : elm.item,
            'extra' : elm.extraItem
        };
    });
    combinaciones.forEach(function(element, index) {
      var prefix = '.' + index + '=';
      var combinationBet = Object.keys(element.combination).toString();
      var keyNumber = ':' + Object.keys(element.extra).toString();
      combinacionApuesta += prefix + combinationBet + keyNumber; 
    })

    // console.log(combinacionApuesta);
    // se queda el modo de generación comentado para si alguna vez tenemos que usarlo bien, de momento, se pone solo manual
    // "modoGeneracion": $scope.cleanBlocks[1].automatic === true ? 'AUTOMATICA' : 'MANUAL',

    var params = {
      "combinacionApuesta": combinacionApuesta,
      "idJuego": $scope.gameId,
      "modoGeneracion": 'MANUAL',
      "metodo": $scope.betParams.betModel === 'sencilla' ? 'Sencillo' : 'Multiple' ,
      "canal": "APP_MOVIL",
      "sorteos": "DIARIA"
      }

      // mockeado para poder trabajar
    // var params = {
		// 	"combinacionApuesta": ".1=4,11,12,25,29.2=4,8,22,38,41.3=12,37,43,45,53;8",
		// 	"idJuego": "5",
		// 	"modoGeneracion":"AUTOMATICA",
    //   "metodo": "Sencillo",
    //   "canal": "APP_MOVIL",
		// 	"sorteos": "DIARIA"			
		// 	}
    
    $http({
      method: 'POST',
      url: config.services.host + config.services.validateElGordo,
      data: JSON.stringify(params)
  }) .then(function(e) {
    console.log('Primer servicio', e);
    try {
  console.log('test cancelBet', e.data.apuestaDTO.idJuego);
  console.log('test cancelBet', e.data.apuestaDTO.metodo);
  console.log('test cancelBet', e.data.apuestaDTO.idSorteo);
  $rootScope.cancelBetData = {
    idJ: e.data.apuestaDTO.idJuego,
    metod: e.data.apuestaDTO.metodo,
    idS: e.data.apuestaDTO.idSorteo
  };
  } catch(e) {/**/}
    if (e.data.msgError === undefined || e.data.msgError === "" || e.data.msgError === null){
      console.log("Todo va bien");
      // debugger;
      nextStep();
    } else{
      // debugger;
      popupSrv.hideLoading();
      popupSrv.showErrorPopup(e.data.msgError);
    }
  }, function(err) {
    // debugger;
    popupSrv.hideLoading();
    popupSrv.showErrorPopup(requestSrv.errorMapperServiceRest(err, null, function() {
      requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
    }));
    $ionicHistory.goBack();
  });
  }


  var addLoteria = function(callback){
    if (!isTicketValid()){
      popupSrv.showErrorPopup("invalidTicket");
      popupSrv.hideLoading();
      return;
    }

    var params =  [
      {
        name: "pronostico",
        value: ticketNumbers()
      },
      {
        name: "numeroDecimos",
        value: $scope.betParams.nBets
      },
      {
        name: "idSorteo",
        value: $scope.betParams.sorteo.SorteoDto.sorteoId
      },
      {
        name: "idJuego",
        value: $scope.betParams.sorteo.SorteoDto.idJuego
      },
      {
        name: "nombreSorteo",
        value: $scope.betParams.sorteo.SorteoDto.nombreJuego
      },
      {
        name: "automatica",
        value: "false"
      },
      {
        name: "action",
        value: "loteriaNacional.valida"
      },
      {
        name: "Sorteo",
        value: "DIARIA"
      }
    ];
    requestSrv.request(config.services.host + config.services.configLoteria, "post", params)
    .then(function(e) {
      console.log('Segundo servicio', e);
      try {
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idJuego);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.metodo);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idSorteo);
      $rootScope.cancelBetData = {
        idJ: e.data.compraDto[0].ApuestaDto.idJuego,
        metod: e.data.compraDto[0].ApuestaDto.metodo,
        idS: e.data.compraDto[0].ApuestaDto.idSorteo
      };
      } catch(e) {/**/}
      if (e.data.disponibilidad !== undefined && e.data.disponibilidad[0] === false){
        popupSrv.showErrorPopup("InvalidTicketError");
        popupSrv.hideLoading();
      }else{
        $scope.validated = true;
        $scope.$parent.continueDisabled = false;
        callback();
      }
      return $q.resolve( true );
    },function(err) {
      popupSrv.hideLoading();
      popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
        requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
      }));
      return $q.reject( false );
    });
  };

  var addQuinigol = function(callback) {
    var betSorted = {};
    for (var i = 1; i <= 6; i++) {
      betSorted[i] = Object.keys($scope.block[i].item);
    }
    var sendBet = sendBet1(betSorted);
    var params = [{
      name: "pronostico",
      value: sendBet
    }, {
      name: "automatica",
      value: automatic === true ? 'TRUE' : 'FALSE'
    }, {
      name: "action",
      value: "quinigol.valida"
    }, {
      name: "Sorteo",
      value: "DIARIA"
    }];

    requestSrv.request(config.services.host + config.services.configQuinigol, "post", params)
    .then(function(e) {
      // debugger;
      console.log('Tercer servicio', e);
      try {
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idJuego);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.metodo);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idSorteo);
      $rootScope.cancelBetData = {
        idJ: e.data.compraDto[0].ApuestaDto.idJuego,
        metod: e.data.compraDto[0].ApuestaDto.metodo,
        idS: e.data.compraDto[0].ApuestaDto.idSorteo
      };
      } catch(e) {/**/}
      if (e.data.compraDto[0].ApuestaDto.msgError === undefined || e.data.compraDto[0].ApuestaDto.msgError === ""){
        for (var i = 1; i <= 6; i++) {
          $scope.block[i].isBlocked = true;
        }
        var max = 0;
        callback();
      }else{
        popupSrv.hideLoading();
        popupSrv.showErrorPopup(e.data.compraDto[0].ApuestaDto.msgError);
      }

    }, function(err) {
      popupSrv.hideLoading();
      popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
        requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
      }));
      $ionicHistory.goBack();
    });
  };

  var addQuintuple = function(callback) {
    popupSrv.showLoading("addingBlock");
    var betSorted = {};
    for (var i = 1; i <= 6; i++) {
      betSorted[i] = Object.keys($scope.block[i].item);
    }
    var sendBet = sendBetQ1(betSorted);
    var params = [{
      name: "pronostico",
      value: sendBet
    }, {
      name: "automatica",
      value: "TRUE"
    }, {
      name: "action",
      value: "quintupleplus.valida"
    }];
    requestSrv.request(config.services.host + config.services.configQuintuple, "post", params)
    .then(function(e) {
      console.log('Cuarto servicio', e);
      try {
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idJuego);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.metodo);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idSorteo);
      $rootScope.cancelBetData = {
        idJ: e.data.compraDto[0].ApuestaDto.idJuego,
        metod: e.data.compraDto[0].ApuestaDto.metodo,
        idS: e.data.compraDto[0].ApuestaDto.idSorteo
      };
      } catch(e) {/**/}
      if (e.data.compraDto[0].ApuestaDto.msgError) {
        if (e.data.compraDto[0].ApuestaDto.msgError !== '') {
          popupSrv.showErrorPopup(e.data.compraDto[0].ApuestaDto.msgError);
          popupSrv.hideLoading();
        }
      } else {
        var max = 0;
        $scope.isBlockedYet = true;
        for (var i = 1; i <= 6; i++) {
          $scope.block[i].isBlocked = true;
        }
        callback();
      }
    }, function(err) {
      popupSrv.hideLoading();
      $scope.isBlockedYet = false;
      popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
        requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
      }));
      $ionicHistory.goBack();
    });
  };

  /*<<Funcion para procesar el paso a la ventana de confirmación>>*/

  var nextStep = function() {
    popupSrv.hideLoading();
    var paramsJoker = [{
      name: "joker",
      value: $scope.betParams.joker
    }, {
      name: "action",
      value: "primitiva.joker"
    }];

    // debugger;
    if ( $scope.gameId != 9 && $scope.gameId != 10) {
      try{
        var reintegro = Number(Object.keys($scope.cleanBlocks[1].extraItem));
      } catch (err) {
        console.warn('Error controlado: no se ha seleecionado reintegro');
      }
        
    }
    

    if ($scope.betParams.joker) {
      requestSrv.request(config.services.host + config.services.configPrimitiva, "post", paramsJoker)
      .then(function(e) {
        console.log('Quinto servicio', e);
        try {
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idJuego);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.metodo);
      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idSorteo);
      $rootScope.cancelBetData = {
        idJ: e.data.compraDto[0].ApuestaDto.idJuego,
        metod: e.data.compraDto[0].ApuestaDto.metodo,
        idS: e.data.compraDto[0].ApuestaDto.idSorteo
      };
      } catch(e) {/**/}
        $ionicHistory.currentView($ionicHistory.backView());
        $state.go("app.summaryBet", { game_id: $scope.gameId, type: "manual", subcription: $stateParams.subcription, reintegro: reintegro });
      })
      .catch(function(err) {
        popupSrv.hideLoading();
        popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
          requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
        }));
      });
    } else {
      $ionicHistory.currentView($ionicHistory.backView());
      $state.go("app.summaryBet", { game_id: $scope.gameId, type: "manual", subcription: $stateParams.subcription, reintegro: reintegro , serviceV2: $scope.serviceV2 });
    }
  };

  /*<<Funcion para controlar la acción de continuar>>*/
  $scope.validateBet = function() {
    //   console.clear();
    // console.log('$scope.continueDisabled',$scope.continueDisabled);
    // Console.titleLog("************* Validar **************");
    // debugger;
    // console.log("MinBet: ",$scope.betsRange.minBet);
    // console.log("MaxBet: ",$scope.betsRange.maxBet);  
    
    // Console.logOrange("datos bloque: ",$scope.block);

    // Clonamos el objeto para modificarlo antes de la llamada al servicio, $scope.blocks se quedaría solo para la vista y las validaciones del los elemntos seleccionados
    $scope.cleanBlocks = $scope.block;

    // Todos los juegos no tratan los bloques de la misma forma, usaremos la variable del sistema antiguo para algunos juegos.
    var oldSystem = false;

    var quinielaMultiple = 0;

    if ( $scope.gameId == 6 || $scope.gameId == 8 || $scope.gameId == 9 || $scope.gameId == 10 ) {
      oldSystem = true;
    }

    if (oldSystem) {
      if( !$scope.continueDisabled ) {
        // Console.titleLog('********* SE LANZA EL CONTINUE POR VALIDACION ANTIGUA *************');
        $scope.continue();
      } else {
        // alert( "Los bloques nos están rellenos" )
        popupSrv.showErrorPopup("selectFullBlock");
      }
    } else {
          // Console.logOrange("datos numero: ",gameConfigProvider.getBorrarnNumbers($scope.gameId));
    // Console.logOrange("datos extra: ",gameConfigProvider.getBorrarnExtra($scope.gameId,$scope.protocoloReintegro));

    // Console.logOrange("datos numero: ",$rootScope.borrarnNumbers);
    // Console.logOrange("datos extra: ", $rootScope.borrarnExtra);

    // TODO Datos metido a pulso por culpa de mala configuracion en apuestas del properties, se queda así hasta que selae nos diga que ahcer en estos casos

    if ($scope.gameId == "7") {
      $scope.betsRange.minBet = 1;
    }

    if ($scope.gameId === "2" && $scope.betParams.betModel === "multiple") {
      Object.values($scope.block[1].item).forEach(function(element) {
        console.log(element);

        if (!element.values.length) {
          var line = Object.values(element.values)
        } else {
          var line = element.values;
        }
        
        line.forEach( function (element,i) {
          // Pasamos el objeto a array y contamos sus valores
         

          try {
            var forecast = element.selected;

          //  var selectt = Object.keys(element.values[i+1])
         //   Console.logPurple(selectt)
            if ( forecast === true ) {
              // debugger;
              quinielaMultiple++
            }
          } catch (err) {
            console.log("no estan los 3 seleccionados")
          }
        })
      });
    }

    if ( $scope.gameId == "2" && $scope.betParams.betModel === "multiple" && quinielaMultiple <= 14 ) {
        popupSrv.showErrorPopup("quinielaMultipleCondition");
        return false;
    }
    
    var correctBets = 0;
    var incorrectBets = 0;
    var correctExtraBet = 0;
    var needExtraDate = false;
    // debugger;
    $scope.cleanBlocks = [];
    $scope.cleanBlocks[0] = null;

        // Funcion para comprobar los bloques
        angular.forEach( $scope.block, function (e , i) {
            var selectedItem = Object.values(e.item);
            var selectedExtraItem = Object.values(e.extraItem);
            // Comprobación de los elementos del array
            function selectedItems() {
                if ( selectedItem.length < $rootScope.borrarnNumbers ) {
                    incorrectBets++;
                    return false
                } else {
                    correctBets++;
                }
            }

            // Comprobación de elementos extra del array
            function selectedExtraItems() {
                // debugger;

                if ( selectedExtraItem.length < $rootScope.borrarnExtra ) {
                    incorrectBets++;
                    // alert("Los bloques deben estar rellenos por completo");
                } else {
                    correctExtraBet++;
                    Console.logGreen("Validación correcta de bloque número",i);
                }
            }

            // A cada bloque de juego le comprobamos que tiene algun elemnto seleccionado
            // debugger;
            if ( selectedItem.length !== 0 || selectedExtraItem.length !== 0) {
                Console.logPurple("Bloque con datos:",i);
                var firstFullSelect = 0;
                var secondFullSelect = 0;
                selectedItems();

                // añadimos los elementos al array para reallizar la llamada
                $scope.cleanBlocks.push($scope.block[i]);
                console.log("CLEANBLOCKS: ",$scope.cleanBlocks)

                if ( i === 1 && ( $scope.gameId == 2 || ( elGordoV2serviceCheck == 'false' && $scope.gameId == 5 ))) {

                    if ( $scope.gameId == 2 ) {

                        // añadido para solucionar el problema de relleno de bloques en la quiniela si no tenemos pleno al 15
                        if (!selectedExtraItem[0] || selectedExtraItem[0].length === 0 || !selectedExtraItem[1] || selectedExtraItem[1].length === 0) {
                          return false;
                        }

                        Object.values(selectedExtraItem[0].values).forEach(function( el ) {
                          console.log( el )
                          if (el.selected === true) {
                              firstFullSelect++
                          }

                        })

                        Object.values(selectedExtraItem[1].values).forEach(function( el ) {
                            console.log(el)
                            if (el.selected === true) {
                            secondFullSelect++
                            }
                        })

                        if ( firstFullSelect < 1 || secondFullSelect < 1 ) {
                          selectedExtraItem.splice(1);
                        }

                        $scope.elige8Error = false;

                        if($scope.betParams.elige8) {

                          if (selectedExtraItem[2]) {
                            var elige8Select = 0;
                            Object.values(selectedExtraItem[2].values).forEach(function( el ) {
                              console.log( el )
                              if (el.selected === true) {
                                  elige8Select++
                              }
                            });
  
                            if(elige8Select < 8 && elige8Select > 0) {
                              $scope.elige8Error = true;
                            }
                          }
                        }
                    }

                    selectedExtraItems();
                }

                if ( $scope.gameId == 3 || ( elGordoV2serviceCheck == 'true' && $scope.gameId == 5 ) || $scope.gameId == 7 ) {
                    selectedExtraItems();
                }

            } else {
                Console.logPurple("Bloque sin datos:",i);
                // debugger
                if ( i===1 && ( $scope.gameId === "2" || $scope.gameId === "5" ) ) {
                  needExtraDate = true;
                }
            }

            Console.logPurple( "iterador: ", i);
            Console.logPurple( "Clean blocks: ", $scope.cleanBlocks);
        }) //Fin del forEach

        // Para errores en los partidos del Elige8
        if ($scope.elige8Error) {
          popupSrv.showErrorPopup("elige8Error");
          return false;
        }

        // Comprobación del número mínimo y máximo de apuestas
        // debugger;
        if ( !needExtraDate && incorrectBets === 0 && correctBets >= $scope.betsRange.minBet && correctBets <= $scope.betsRange.maxBet) {
            Console.titleLog("Continua comprando, todo está correcto");
            $scope.continue();
        } else {
            if (incorrectBets !== 0) {
                popupSrv.showErrorPopup("selectFullBlock");
            } else {
                popupSrv.showErrorPopup("fillBlockSelected");
            }
            // Console.titleWarn("Rellena todos los bloques completos")
           
        }
    }
    };

  $scope.continue = function() {
    // debugger;

    // console.log("Clean blocks del contionue",$scope.cleanBlocks);
    delete $scope.cleanBlocks[0];
    // console.log("Despues del delete",$scope.cleanBlocks);

    popupSrv.showLoading("addingBlock");
    switch ($stateParams.game_id){
      case "2":
        $scope.plenoSended = false;
        if ($rootScope.elige8GlobalActivo) {
          // nuevo servicio de validacion
          quinielaV2Service();
        } else {
          // viejo servicio de validación
          addQuiniela(1,nextStep);
        }
      break;
      case "5":
        // TODO Variable del properties
        elGordoV2serviceCheck == 'true' ? elGordoV2Service() : addBlocks($scope.cleanBlocks ,1, nextStep);
        break;
      case "6":
        $scope.betOptions = ["0-0", "1-0", "2-0", "M-0", "0-1", "1-1", "2-1", "M-1", "0-2", "1-2", "2-2", "M-2", "0-M", "1-M", "2-M", "M-M"];
        $scope.partidos = $scope.betParams.partidos;
        $scope.item = [];
        addQuinigol(nextStep);
      break;
      case "8":
        $scope.carreras = [
          { "nombre": $filter('translate')('horseRace1'), caballos:$scope.betParams.caballos[0] },
          { "nombre": $filter('translate')('horseRace2'), caballos:$scope.betParams.caballos[1] },
          { "nombre": $filter('translate')('horseRace3'), caballos:$scope.betParams.caballos[2] },
          { "nombre": $filter('translate')('horseRace4'), caballos:$scope.betParams.caballos[3] },
          { "nombre": $filter('translate')('horseRace51'), caballos:$scope.betParams.caballos[4] },
          { "nombre": $filter('translate')('horseRace52'), caballos:$scope.betParams.caballos[4] }
        ];
        $scope.item = [];
        $scope.isBlockedYet = false;
        addQuintuple(nextStep);
      break;
      case "9":
        $scope.currentInput = 1;
        $scope.validated = false;
        addLoteria(nextStep);
      break;
      default:
        addBlocks($scope.cleanBlocks ,1, nextStep);
      break;
    }
  };
}]);
