angular.module('selae.games.controllers')
    .controller('SummaryBetCtrl', ['$scope', '$http', '$rootScope', '$stateParams', '$ionicHistory', '$state', 'popupSrv', '$filter', '$timeout', 'config', 'requestSrv', '$ionicPlatform','$ionicScrollDelegate', 'opSrv', 'analyticsSrv', 'gamesProvider', '$q',
        function ($scope, $http, $rootScope, $stateParams, $ionicHistory, $state, popupSrv, $filter, $timeout, config, requestSrv, $ionicPlatform,$ionicScrollDelegate, opSrv, analyticsSrv, gamesProvider, $q) {


            //console.log('veamos que te pasa', $stateParams);
            //Variable global donde guardamos los datos de la vista actual
            var transferIdGameFromServiceToFavorite = null;
			$rootScope.aJuego = $ionicHistory.currentView();
            console.log($rootScope.aJuego);

            if (window.ga !== undefined) {
                var anaGameName = analyticsSrv.setName($stateParams.game_id)
                analyticsSrv.trackView('Paso a Paso-3_Confirmar apuesta-'+anaGameName);
            }
            $scope.gameId = $stateParams.game_id;
            
            $scope.betParams = requestSrv.getBetConfig();
            $scope.data = {};
            $scope.reintegro = Number($stateParams.reintegro); 
            //console.log('betParams',$scope.betParams);
            if ($scope.gameId === '9' || $scope.gameId === '10') {
                if ($scope.betParams.sorteo) {
                $rootScope.aJuego.bet_id = $scope.betParams.sorteo.SorteoDto.sorteoId;
                // $stateParams.sorteo.sorteoId = $rootScope.aJuego.bet_id;
                console.log("sorteo_id",$scope.betParams.sorteo.SorteoDto.sorteoId);}
                console.log("$rootScope.aJuego.bet_id",$rootScope.aJuego.bet_id);
            }


            $scope.cancel = function () {
                $rootScope.selaeGoBack();
            };

            var deregisterHardBack = $ionicPlatform.registerBackButtonAction(
                $rootScope.selaeGoBack, 101);

            $scope.$on('$destroy', deregisterHardBack);

            $scope.favourite = {
                activate: false,
                name: '',
                error: ''
            };
            // añadir favorita al servicio
            $scope.buy = function () {
                if ($stateParams.subcription == 'true' && $stateParams.serviceV2 == 'true') {
                    // se hace la llamada a subscripción
                    // genericSubscription
                    var params = [{
                        name: "activarSuscripcion",
                        value: 'true'
                      }, {
                        name: "formCombinacionAutomatica",
                        value: "false"
                      }];
              
                      var url = config.services.host + config.services.genericSubscription;
              
                      requestSrv.request(url, "post", params)
                      .then(function (e) {
                          console.log(e);
                      }).catch(function(err) {
                        popupSrv.hideLoading();
                        popupSrv.showErrorPopup(requestSrv.errorMapperServiceRest(err));
                    });
                }

                if ( $scope.favourite.activate ) {
                    if (checkFavouriteName()) {
                        if ($stateParams.serviceV2 === 'true') {
                            // el nombre de la apuesta no está implementado n la app, lo dejamos comentado e
                            // implementado por si hiciera falta en un futuro.
                            // setBetName();
                            if ($ionicHistory.backView().stateName === 'app.loadLotobolsa') {
                                $ionicHistory.currentView($rootScope.saveIonicHistoryData);
                            } else {
                                $ionicHistory.currentView($ionicHistory.backView());
                                $rootScope.saveIonicHistoryData = $ionicHistory.currentView();
                            }
                            return $state.go("app.ticket", { game_id: $scope.gameId , serviceV2 : $stateParams.serviceV2, favoriteName : $scope.favourite.name});
                        }
                        else {
                            return oldFavouriteService();
                        }
                    } else {
                        return
                    }
                   
                }
                if ($ionicHistory.backView().stateName === 'app.loadLotobolsa') {
                    $ionicHistory.currentView($rootScope.saveIonicHistoryData);
                } else {
                    $ionicHistory.currentView($ionicHistory.backView());
                    $rootScope.saveIonicHistoryData = $ionicHistory.currentView();
                }
                $state.go("app.ticket", { game_id: $scope.gameId , serviceV2 : $stateParams.serviceV2});
            };

            function checkFavouriteName () {
                var expresionRegular = /^[a-zA-Z0-9_-çÇñÑ\\s]*$/;
                if ($scope.favourite.name) {
                    if ($scope.favourite.name.length <= 20) {
                        if (expresionRegular.test($scope.favourite.name)) {
                            return true;
                        } else {
                            popupSrv.showErrorPopup($filter('translate')("favouriteNameSymbol"));
                            return false;
                        }
                    } else {
                        popupSrv.showErrorPopup($filter('translate')("favouriteNameExceed"));                         
                        $scope.favourite.error = 'El campo no debe tener mas de 20 caracteres';
                        console.log('El campo no debe tener mas de 20 caracteres'); 
                        return false;
                    }
                } else {
                    popupSrv.showErrorPopup($filter('translate')("favouriteNameForm"));
                    console.log('Debe rellenar el campo favorita');
                    return false;
                 }
            }

            // el nombre de la apuesta no esta implementado en la app, se deja por si se implementa en un futuro
            function setBetName() {
                var params = {
                    'nombre':$scope.favourite.name
                }
                $http({
                    method: 'POST',
                    url: config.services.host + config.services.betName,
                    data: JSON.stringify(params)
                }).then (function(e){
                    console.log(e);
                }).catch(function(err) {
                    popupSrv.hideLoading();
                    popupSrv.showErrorPopup(requestSrv.errorMapperServiceRest(err));
                });
            }
            // fin de nombre de apuesta

            function oldFavouriteService() {
                popupSrv.showLoading('Finalizando apuesta');
                $ionicHistory.currentView($ionicHistory.backView());
                // Aqui tengo que ver si esta subscrito
                var service = initAddFavourites($scope.favourite.name, $stateParams.subcription);
                service.then(function(res) {
                    //console.log('Respesta del 2º servicio', res);
                    popupSrv.hideLoading();
                    $state.go("app.ticket", { game_id: $scope.gameId, favorite: 'true' });
                });
            }

            function initAddFavourites(favouriteName, subcribe) {
                // Peticion al servicio
                // debugger;
                var stepBuyUrl = getFavouriteUrl($scope.gameId);
                var url = config.services.host + config.services[stepBuyUrl];
                if (transferIdGameFromServiceToFavorite == 9) {
                    var params = {
                        checkbox_suscripcion_config: subcribe,
                        check_jueves: 'on',
                        checkbox_aleatoria_config: false,
                        checkbox_favorita_config: true,
                        pasoCompra: 4,
                        nombre_apuesta_config: favouriteName
                    };
                } else if(transferIdGameFromServiceToFavorite == 10) {
                    var params = {
                        checkbox_suscripcion_config: subcribe,
                        check_sabado: 'on',
                        checkbox_aleatoria_config: false,
                        checkbox_favorita_config: true,
                        pasoCompra: 4,
                        nombre_apuesta_config: favouriteName
                    };
                } else {
                    var params = {
                        checkbox_suscripcion_config: subcribe,
                        checkbox_aleatoria_config: false,
                        checkbox_favorita_config: true,
                        pasoCompra: 4,
                        nombre_apuesta_config: favouriteName
                    };
                }
                
		        return $http({ method:'POST', url:url, params:params }).then(function(res) {
		          console.log('Servicio',res); //Activar para ver lo que devuelve el servicio
		        	try {
                        //Lo comentado no se usa, se mantiene por si se necesitase la funcionalidad en un futuro
                        //var test = res.data.compraDto[0];
                        //var stepBuyUrl= getFavouriteBuyUrl($scope.gameId);
                        //var url = config.services.host + config.services[stepBuyUrl];
                        if(res.data.filtro || res.data.Filtro || res.data.error) { throw res; }
                        return res.data.compraDto[0]; //$http({ method:'POST', url:url });
                    } catch(err) {
		        		console.error(err);
                        //Sistema de errores el servicio requestSrv
                        popupSrv.showErrorPopup(requestSrv.errorHandler2(res));
		        		//$rootScope.selaeGoBack();
		         	}
		        }, function(err) {
                    //Sistema de errores el servicio requestSrv
                    popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
		        	//$rootScope.selaeGoBack();
		        });
                
                /****************************************/
                function getFavouriteUrl(gameId) {
                    switch(gameId) {
                        case "1": return 'buyStepFavPrimitiva';
				        case "2": return 'buyStepFavQuiniela';
				        case "3": return 'buyStepFavEuromillon';
				        case "4": return 'buyStepFavBonoloto';
		                case "5": return 'buyStepFavGordo';
				        case "6": return 'buyStepFavQuinigol';
				        case "7": return 'buyStepFavLototurf';
				        case "8": return 'buyStepFavQuintuple';
				        case "9": return 'buyStepFavLoteria';
                    }
                }
                //No se usa, se mantiene temporalmente por si se vuelve a necesitar
                function getFavouriteBuyUrl(gameId) {
                    switch(gameId) {
                        case "1": return 'buyPrimitiva';
				        case "2": return 'buyQuiniela';
				        case "3": return 'buyEuromillon';
				        case "4": return 'buyBonoloto';
		                case "5": return 'buyGordo';
				        case "6": return 'buyQuinigol';
				        case "7": return 'buyLototurf';
				        case "8": return 'buyQuintuple';
				        case "9": return 'buyLoteria';
                    }
                }
                /****************************************/
            }
            function calculateGameForAnalytics() {

            }

/*
checkbox_suscripcion_config | String | false   
checkbox_aleatoria_config | String | false
checkbox_favorita_config | Flag para marcar si quiere como favorita | String | true
pasoCompra  Paso del proceso de compra  Int 4
nombre_apuesta_config | Nombre de la Apuesta | String | Máximo 20caracteres sin espacios
*/
            // var getConfigUrl = opSrv.newGetConfigGame(gameId);

            var getStepBuyUrl = function (gameId) {
                switch (gameId) {
                    case "1":
                        return config.services.buyStepPrimitiva;
                    case "2":
                        return config.services.buyStepQuiniela;
                    case "3":
                        return config.services.buyStepEuromillon;
                    case "4":
                        return config.services.buyStepBonoloto;
                    case "5":
                        return config.services.buyStepGordo;
                    case "6":
                        return config.services.buyStepQuinigol;
                    case "7":
                        return config.services.buyStepLototurf;
                    case "8":
                        return config.services.buyStepQuintuple;
                    case "9":
                        return config.services.buyStepLoteria;
                    case "10":
                        return config.services.buyStepLoteria;
                    default:
                        return '';
                }
            };

            var getAction = function (gameId) {
                switch (gameId) {
                    case '1':
                        return "primitiva.rejugar";
                    case '2':
                        return "quiniela.rejugar";
                    case '3':
                        return "euromillones.rejugar";
                    case '4':
                        return "bonoloto.rejugar";
                    case '5':
                        return "gordo-primitiva.rejugar";
                    case '6':
                        return "quinigol.rejugar";
                    case '7':
                        return "lototurf.rejugar";
                    case '8':
                        return "quintupleplus.rejugar";
                    case '9':
                        return "loteriaNacional.rejugar";
                    case '10':
                        return "loteriaNacional.rejugar";
                    default:
                        return '';
                }
            };

            var autoBet = function () {
                if ($scope.gameId == "9") {
                    var params = [{
                        name: "pronostico",
                        value: "*****"
                    }, {
                        name: "numeroDecimos",
                        value: $scope.betParams.nBets
                    }, {
                        name: "idSorteo",
                        value: $scope.betParams.sorteo.SorteoDto.sorteoId
                    }, {
                        name: "idJuego",
                        value: $scope.betParams.sorteo.SorteoDto.idJuego
                    }, {
                        name: "nombreSorteo",
                        value: "false"
                    }, {
                        name: "automatica",
                        value: true
                    }, {
                        name: "action",
                        value: "loteriaNacional.valida"
                    }, {
                        name: "Sorteo",
                        value: "DIARIA"
                    }];

                

                    requestSrv.request(config.services.host + config.services.configLoteria, "post", params)
                        .then(function () {
                            requestSrv.request(config.services.host + config.services.buyStepLoteria, "post", [])
                                .then(function (e) {
                                    
                                    if (e.data.compraDto) {
                                        console.warn('ID SORTEO DE SERVICIO', e.data.compraDto[0].ApuestaDto.idJuego);
                                        transferIdGameFromServiceToFavorite = e.data.compraDto[0].ApuestaDto.idJuego;
                                        $scope.data = e.data.compraDto[0].ApuestaDto;
                                        $scope.data.isStepBet = false;

                                    } else {
                                        throw e;
                                    }
                                })
                                .finally(function () {
                                    popupSrv.hideLoading();
                                })
                                .catch(function (err) {
                                    popupSrv.hideLoading();
                                    popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                                });
                        })
                        .catch(function (err) {
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                        });
                } else {
                    confGame = opSrv.newGetConfigGame($scope.gameId);
                    requestSrv.request(config.services.host + confGame, "post", [])
                        .then(function (e) {
                           
                            if (e.data.compraDto !== undefined && e.data.compraDto !== null) {
                                var jokerConf = [{
                                    name: "pronostico",
                                    value: $scope.betParams.joker
                                }, {
                                    name: "action",
                                    value: "primitiva.joker"
                                }];
                                if ($scope.betParams) {
                                    if ($scope.betParams.joker !== undefined && $scope.betParams.joker) {
                                        requestSrv.request(config.services.host + confGame, "post", jokerConf)
                                            .then(function (data) {
                                                console.log("joker añadido");
                                            }, function (err) {
                                                console.log("joker NO añadido: " + err);
                                            });
                                    }
                                }
                                var params = [{
                                    name: "apuestas",
                                    value: $scope.betParams.betModel == "multiple" && $scope.gameId == "3" ? 1 : $scope.betParams.betModel == "multiple" ? getNumberOfBets() : $scope.betParams.nBets
                                }, {
                                    name: "idJuego",
                                    value: $scope.gameId
                                }, {
                                    name: "tipoSorteo",
                                    value: $scope.betParams.dateBet == 'semanal' ? 'SEMANAL' : 'DIARIA'
                                }, {
                                    name: "solicitaJuegoAsociado",
                                    value: $scope.betParams.joker !== undefined && $scope.betParams.joker ? true : false
                                }, {
                                    name: "metodo",
                                    value: $scope.betParams.betModel === undefined || $scope.betParams.betModel == "sencilla" ? "Sencillo" : "Multiple"
                                }, {
                                    name: "apuestasDobles",
                                    value: $scope.gameId == "3" || $scope.gameId == "2" || $scope.gameId == "7" ? $scope.betParams.nNumbers : 0
                                }, {
                                    name: "apuestasTriples",
                                    value: $scope.gameId == "3" || $scope.gameId == "2" || $scope.gameId == "7" ? $scope.betParams.nExtra : 0
                                }];
                      //Llamada al servicio para recibir informacion sobre la lotobolsa y los partidos
                                requestSrv.request(config.services.host + config.services.quickBet, "post", params)
                                    .then(function (response) {
                                        if (response.data.compraDto !== undefined && response.data.compraDto !== null) {
                                            $scope.data = response.data.compraDto[0].ApuestaDto;
                                            if ($scope.gameId == 2 || $scope.gameId == 6) {
                
                                                if ($scope.gameId == 2) {
                                                    try {$rootScope.partidosPleno=partidos[14];}
                                                    catch (err) {console.log("Apuesta aleatoria");}
                                                    $scope.betParams.partidos.pop();
                                                  }
                                                $scope.data.partidos = $scope.betParams.partidos;
                                            }
                                            if ($scope.gameId == 3) {
                                                $scope.data.asociados = {};
                                                $scope.data.asociados.tieneMillones = e.data.tieneMillones;
                                                $scope.data.asociados.tieneLluvia = e.data.tieneLluvia;
                                            }
                                        } else {
                                            throw response;
                                        }
                                    })
                                    .finally(function () {
                                        popupSrv.hideLoading();
                                    })
                                    .catch(function (err) {
                                        if ( err.data.filtroBean[0].filtroErrorNombre === "filtroNoPermiteCarga") {
                                            requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
                                        }
                                        popupSrv.hideLoading();
                                        popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                                    });
                            } else {
                                throw e;
                            }
                        })
                        .catch(function (err) {
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                        });
                }
            };

            function getGameNameForUrl (gameId) {
                // añadir el vlor de los juegos conforma los necesitemos, de momento se añade solo el gordo
                var games = {
                    '5' : 'gordo-primitiva'            
                }
                    return games[gameId]
            }

            function genericReplayBet (betId,gameId) {

                var callConfig = {
                    headers : {
                        "Content-Type": "application/json",
                    },
                    data : ''
                };

                var params = [{
                    name : 'idJuego',
                    value : gameId
                }];

                var replay = $http.get( config.services.host + config.services.myBetsPlayAgain + getGameNameForUrl(gameId) + '/' + betId , callConfig)
                .then(function(e) {
                    return e;
                });

                var rafflesPromise = requestSrv.request( config.services.host + config.services.genericRaffle ,"get" , params)
                .then(function(e1){
                    return e1;
                });
        
                // hola

                $q.all([replay,rafflesPromise])
                .then(function(e) {
                        $scope.data = e[0].data;
                        $scope.data.serviceV2 = $stateParams.serviceV2;
                        $scope.data.precioBoletoEuros = String((e[0].data.precioBoleto/100).toFixed(2)).replace('.',',');
                        $scope.data.listaSorteos = e[1].data;
                        popupSrv.hideLoading();
                    })
                .catch(function(err) {
                    popupSrv.hideLoading();
                    popupSrv.showErrorPopup(requestSrv.errorMapperServiceRest(err));
                });


            }

            // Funcion arreglar
            function replayBet() {
                
                var partidos;
                var buyticket = function () {
                    confGame = getStepBuyUrl($scope.gameId);
                
                requestSrv.request(config.services.host + confGame, "post", [])
                    .then(function (res) {
                        
                        try {
                            if(res.data.error) { throw res; }
                            if(res.data.filtro) { throw res; }
                            if(res.data.Filtro) { throw res; }
                            if (res.data.compraDto[0].ApuestaDto.msgError) {throw res;}
                            $scope.data = res.data.compraDto[0].ApuestaDto;
                            $scope.data.isStepBet = true;
                            if ($scope.gameId == 3) {
                                $scope.data.asociados = {};
                                $scope.data.asociados.tieneMillones = res.data.tieneMillones;
                                $scope.data.asociados.tieneLluvia = res.data.tieneLluvia;
                            }
                            if ($scope.gameId == 2) {
                                $rootScope.partidosPleno=partidos[14];
                                var pleno = partidos.pop();
                                $scope.data.partidos = partidos;
                            }
                            if ($scope.gameId == 6) {
                                $scope.data.partidos = partidos;
                            }
                           
                            popupSrv.hideLoading();
                        } catch(err) {
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorHandler2(res));

                        }
                    })
                    .catch(function (err) {
                        popupSrv.hideLoading();
                        popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                    });
                }
                // debugger;
                conf = opSrv.newGetConfigGame($scope.gameId);
                action = getAction($scope.gameId);

                var params = [
                    {name: 'action',value: action},
                    {name: 'idApuesta',value: $stateParams.bet_id}
                ];

                // $stateParams.game_id
                //Arreglo incidencia juego 2 y 6
                if ($stateParams.game_id == 2 || $stateParams.game_id == 6) {
                    params.push({name: 'combinacion', value: $stateParams.combination });
                }

                // if ($stateParams.game_id == 9 || $stateParams.game_id == 10) {
                // params.push({
                //         name: "idJuego",
                //         value: null
                //     })
                // }


                requestSrv.request(config.services.host + conf, "post", params)
                    .then(function (res) {
                        try {
                            if(res.data.error) { throw res; }
                            if(res.data.filtro) { throw res; }
                            if(res.data.Filtro) { throw res; }
                            if (res.data.compraDto[0].ApuestaDto.msgError) {throw res;}

                            if ($scope.gameId == 2 || $scope.gameId == 6) {
                                partidos = res.data.partidos;
                            }

                            if ($scope.gameId == 9 || $scope.gameId == 10) {
                                // debugger;
                                // console.log("Guardamos el id de la apuesta para la lotería",res.data.compraDto["0"].ApuestaDto.idSorteo);
                                $rootScope.aJuego.bet_id = res.data.compraDto["0"].ApuestaDto.idSorteo;
                                // aqui
                                // debugger;
                                //  llamamos al servicio de validar lotería
                            
                                var params = [
                                    {
                                        name: "pronostico",
                                        value: res.data.compraDto["0"].ApuestaDto.apuestasFormateadas[0]
                                    },
                                    {
                                        name: "numeroDecimos",
                                        value: res.data.compraDto["0"].ApuestaDto.apuestasFormateadas.length
                                    },
                                    {
                                        name: "idSorteo",
                                        value: res.data.compraDto["0"].ApuestaDto.idSorteo
                                    },
                                    {
                                        name: "idJuego",
                                        value: res.data.compraDto["0"].ApuestaDto.idJuego
                                    },
                                    {
                                        name: "nombreSorteo",
                                        value: res.data.compraDto["0"].ApuestaDto.listaSorteos["0"].SorteoDto.nombreJuego
                                    },
                                    {
                                        name: "action",
                                        value: "loteriaNacional.valida"
                                    }
                                    
                                ];

                                console.log("params", params)
                                    requestSrv.request(config.services.host + config.services.configLoteria, "post", params)
                                    .then(function(e) {
                                      console.log('Segundo servicio', e);
                                      try {
                                      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idJuego);
                                      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.metodo);
                                      console.log('test cancelBet', e.data.compraDto[0].ApuestaDto.idSorteo);
                                      $rootScope.cancelBetData = {
                                        idJ: e.data.compraDto[0].ApuestaDto.idJuego,
                                        metod: e.data.compraDto[0].ApuestaDto.metodo,
                                        idS: e.data.compraDto[0].ApuestaDto.idSorteo
                                      };
                                      } catch(e) {/**/}
                                      if (e.data.disponibilidad !== undefined && e.data.disponibilidad[0] === false){
                                        //   debugger;
                                        popupSrv.showErrorPopup("InvalidTicketError");
                                        popupSrv.hideLoading();
                                        if ( $rootScope.aJuego.stateParams.type === "replay" ) {
                                            requestSrv.cancelBet($rootScope.cancelBetData.idJ , $rootScope.cancelBetData.metod , $rootScope.cancelBetData.idS);
                                            $ionicHistory.goBack();
                                        }
                                      }else{
                                        $scope.validated = true;
                                        $scope.$parent.continueDisabled = false;
                                        // ejecutamos la llamada a compra  
                                        buyticket(params);
                                        // final de llamada
                                      }
                                      return
                                    },function(err) {
                                      popupSrv.hideLoading();
                                      popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() {
                                        requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
                                      }));
                                      return
                                    });
                                  

                            } else {buyticket()}
                            
                        } catch(err) {
                            popupSrv.hideLoading();
                            popupSrv.showErrorPopup(requestSrv.errorHandler2(res));
                        }
                    })
                    .catch(function (err) {
                        popupSrv.hideLoading();
                        popupSrv.showErrorPopup(requestSrv.errorHandler2(err));
                    });
            }

            var manualBet = function () {
                confGame = getStepBuyUrl($scope.gameId);
                requestSrv.request(config.services.host + confGame, "post", [])
                    .then(function (e) {
                        
                        if (e.data.compraDto) {
                            
                            transferIdGameFromServiceToFavorite = e.data.compraDto[0].ApuestaDto.idJuego;
                            $scope.data = e.data.compraDto[0].ApuestaDto;
                            
                            if ($scope.gameId == 2 || $scope.gameId == 6) {
                                $scope.data.partidos = $scope.betParams.partidos;
                            }
                            $scope.data.isStepBet = true;
                            if ($scope.gameId == 3) {
                                $scope.data.asociados = {};
                                $scope.data.asociados.tieneMillones = e.data.tieneMillones;
                                $scope.data.asociados.tieneLluvia = e.data.tieneLluvia;
                            }
                        } else {
                            throw e;
                        }
                    })
                    .finally(function () {
                        popupSrv.hideLoading();
                    })
                    .catch(function (err) {
                        popupSrv.hideLoading();
                        if ( err.data.filtroBean[0].filtroErrorNombre === "filtroNoPermiteCarga") {
                            requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
                        }
                        popupSrv.showErrorPopup(requestSrv.errorHandler2(err, null, function() { 
                            requestSrv.cancelBet($rootScope.cancelBetData.idJ, $rootScope.cancelBetData.metod, $rootScope.cancelBetData.idS);
                        }));
                    });
            };

            $scope.getBet = function () {
                popupSrv.showLoading("generatingBet");
                var confGame = '';
                if ($stateParams.serviceV2) {
                    if ($stateParams.type === 'replay') {
                        return genericReplayBet($stateParams.bet_id , $stateParams.game_id)
                    }
                    return betState();

                } else {
                    if ($stateParams.type === "auto") {
                        return autoBet();
                    }
                    if ($stateParams.type === "replay") {
                        return replayBet();
                    }
                    if ($stateParams.type === "manual") {
                        return manualBet();
                    }
                }

            };

            function getNumberOfBets() {
                if ($scope.gameId == "1" || $scope.gameId == "4") {
                    switch ($scope.betParams.nNumbers) {
                        case 7:
                            return 7;
                        case 8:
                            return 28;
                        case 5:
                            return 44;
                        case 9:
                            return 84;
                        case 10:
                            return 210;
                        case 11:
                            return 462;
                        default:
                            console.log('Ninguna apuesta múltiple seleccionada');
                    }
                } else if ($scope.gameId == "5") {
                    switch ($scope.betParams.nNumbers) {
                        case 6:
                            return 6;
                        case 7:
                            return 21;
                        case 8:
                            return 56;
                        case 9:
                            return 126;
                        case 10:
                            return 252;
                        case 11:
                            return 462;
                        default:
                            console.log('Ninguna apuesta múltiple seleccionada');
                    }
                } else if ($scope.gameId == "2") {
                    return 1;
                }
                return 0;
            }

            $scope.favourite = {
                activate: false,
                name: ''
            };
            

            $scope.initFavouriteName = function () {
                if (!$scope.favourite.name) {
                    var random = Math.floor(Math.random() * (999 - 100) + 100);
                    // console.log(getTitleGame(gamesProvider.getGames(),$stateParams.game_id));
                    $scope.favourite.name = getTitleGame(gamesProvider.getGames(),$stateParams.game_id).replace(/á/gi,"a").replace(/é/gi,"e").replace(/í/gi,"i").replace(/ó/gi,"o").replace(/ú/gi,"u").replace(/ñ/gi,"n").replace(/ /g,'') + random;
                }
            };

            function getTitleGame(array,data) {
				var store;
				array.forEach(function(i) {
					if (i.idJuego == data) { store = i.text; }
				});
				if(data == 10) { store = array[2].text; }
                store = traductor(store);
                if (store.search(' ') !== -1) { store = store.replace(' ',''); }
                return store;

				//Funcion para buscar en el properties la traduccion
				function traductor(data) {
					return $filter('translate')(data);
				}
            }
            
            function betState () {
                requestSrv.request(config.services.host + config.services.betState, "get", [])
                .then(function(e) {
                    console.log(e);
                    $scope.data = e.data;
                    $scope.data.serviceV2 = $stateParams.serviceV2;
                    //$scope.data.precioBoletoEuros = String(e.data.precioBoleto/100).replace('.',',')
                    $scope.data.precioBoletoEuros = String((e.data.precioBoleto/100).toFixed(2)).replace('.',',')
                    // mockeo de datos borrar cuando venga en produccion
                    // $scope.data.combinacionApuesta = '.1=4,11,12,25,29;8.2=4,8,22,38,41;0.3=12,37,43,45,53;9';
                    // finborrar
                    popupSrv.hideLoading();
                })
                .catch(function(err) {
                    popupSrv.hideLoading();
                    popupSrv.showErrorPopup(requestSrv.errorMapperServiceRest(err));
                });
            }

/*********************************************/
    // $scope.scroll = function(){
    //     $ionicScrollDelegate.resize();
    // };    
        }
    ]);