angular.module('selae.games.directives')

.directive('combinationDrv', ['$compile', function($compile) {
	var getTemplate = function(gameId,block) {
        switch (gameId){
    		case "1":
    			return "<primitiva-combination-drv game-id=gameId block=block protocolo-Reintegro=protocoloReintegro bets-Range='betsRange'></primitiva-combination-drv>";
    		case "2":
    			return "<quiniela-combination-drv game-id=gameId block=block bets-Range='betsRange'></quiniela-combination-drv>";
    		case "3":
    			return "<euromillon-combination-drv game-id=gameId block=block bets-Range='betsRange'></euromillon-combination-drv>";
    		case "4":
    			return "<bonoloto-combination-drv game-id=gameId block=block bets-Range='betsRange'></bonoloto-combination-drv>";
    		case "5":
    			return "<el-gordo-combination-drv game-id=gameId block=block bets-Range='betsRange'></el-gordo-combination-drv>";
    		case "6":
    			return "<quinigol-combination-drv game-id=gameId block=block bets-Range='betsRange'></quinigol-combination-drv>";
    		case "7":
    			return "<lototurf-combination-drv game-id=gameId block=block bets-Range='betsRange'></lototurf-combination-drv>";
    		case "8":
    			return "<quintuple-plus-combination-drv game-id=gameId block=block bets-Range='betsRange'></quintuple-plus-combination-drv>";
    		case "9":
    			return "<loteria-combination-drv game-id=gameId block=block bets-Range='betsRange'></loteria-combination-drv>";
				default:
				break;
    	}
	};
	return {
	    restrict: 'E',
	    scope:{
	    	gameId: '=',
			block: '=',
			protocoloReintegro: '=',
			betsRange: '=',
	    },
        link: function(scope, element, attrs) {
					console.log("pasa por aqui");
            var template = $compile(getTemplate(scope.gameId,scope.bets))(scope);
            element.replaceWith(template);
        }
  	};
}]);
