angular.module('selae.games.directives')

.directive('loteriaBetDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/loteria-bet.html',
	    scope:{
	    	bet: '='
	    },
	    controller: ['$scope','$filter', function($scope,$filter){
    		$scope.raffles = [];
    		$scope.bets = [];
    		$scope.isStepBet = false;

	    	$scope.init = function(){
	    		var sorteo = $filter('filter')($scope.bet.listaSorteos, {SorteoDto: { sorteoId: $scope.bet.idSorteo }})[0];
	    		$scope.bets = [];
	    		$scope.isStepBet = $scope.bet.isStepBet ? $scope.bet.isStepBet : false;

	    		angular.forEach ($scope.bet.combinacionApuesta.split("."), function(value, key){
	    			if (value.length > 0){
			    		this.push(value.substring(value.indexOf("=") + 1).split(""));
	    			}
	    		}, $scope.bets);

	    		$scope.raffles = [];
	    		$scope.raffles.push(sorteo.SorteoDto.fecha);
	    	};
	    }],
	  	link: function(scope){
			scope.$watch("bet", function (newValue, oldValue) {
	  			if(scope.bet.combinacionApuesta !== undefined){
		            scope.init();
	  			}
            });
		}
  	};
}]);
