angular.module('selae.games.directives')

.directive('quinielaTicketDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/quiniela-ticket.html',
	    scope:{
	    	data: '='
	    },
	    controller: ['$scope','opSrv', 'gamesProvider',function($scope, opSrv, gamesProvider){
	    	$scope.bets = [];
				$scope.raffles = [];
				$scope.partidos =[];
				$scope.dates = "";
	    	$scope.titleLogo = gamesProvider.getTicketIcon('2');

	    	$scope.init = function(){
					$scope.bets = [];
					$scope.raffles = [];
					$scope.partidos =[];
					$scope.dates = "";
					angular.forEach ($scope.data.detalleApuesta[0].listaSorteos, function(value, key){
	          this.push(value.SorteoDto.fecha);
			},$scope.raffles);
			
			$scope.haveElige8 = function () {
				var logoElige8;
				if ( $scope.data.detalleApuesta[0] && $scope.data.detalleApuesta[0].apuestaJuegoAsociado && $scope.data.detalleApuesta[0].apuestaJuegoAsociado.juegoId == 13) {
					logoElige8 = true;
				} else {
					logoElige8 = false;
				}
				return logoElige8;
			};

					$scope.dates = opSrv.formatDatesForTicket($scope.data.detalleApuesta[0].listaSorteos);

					var apuesta = $scope.data.detalleApuesta[0].combinacion.split(':');
					if ($scope.data.detalleApuesta[0].metodo == 'Condicionadas'){
						$scope.pleno = apuesta.pop().split('=')[1].split('/')[0];
						$scope.condiciones={
							V:$scope.data.detalleApuesta[0].combinacion.split(':')[1].split('/')[1].split('*')[1].split('=')[1],
							X:$scope.data.detalleApuesta[0].combinacion.split(':')[1].split('/')[1].split('*')[2].split('=')[1],
							D:$scope.data.detalleApuesta[0].combinacion.split(':')[1].split('/')[1].split('*')[3].split('=')[1]
			          	};
					} else {
						$scope.pleno = apuesta.pop().split('=')[1];
					}

					var combos = $scope.data.detalleApuesta[0].apuestasFormateadasParaResguardo;

					angular.forEach (combos,function(value, key){
						this.push(value.split(','));
					},$scope.bets);

					angular.forEach ( $scope.data.partidos, function(value, key){
						value.bets = [];
						for(j=0;j<$scope.bets.length;j++){
							value.bets.push($scope.bets[j][key]);
						}
						this.push(value);
					}, $scope.partidos);
					var pleno = $scope.partidos.pop();
					pleno.bets = $scope.pleno;
					$scope.pleno = pleno;

					// debugger;
					// El dato que contiene los aprtidos es $scope.pleno.bets
					
					$scope.plenoAl15Data = matchPlenos($scope.pleno.bets);

					function matchPlenos (data) {
						var saveData = {
							'firstTeam' : [],
							'secondTeam' : []
						};
						var games = data.split(',');
						games.forEach(function(element) {
							element = element.split('-');
							if ( saveData.firstTeam.indexOf(element[0]) === -1 ) {
								saveData.firstTeam.push(element[0]);
							}
							if ( saveData.secondTeam.indexOf(element[1]) === -1 ) {
								saveData.secondTeam.push(element[1]);
							}
						});
						return saveData;
					}

	    	};
	    }],
	  	link: function(scope){
				scope.$watch("data", function (newValue, oldValue) {
  			if (scope.data.detalleApuesta !== undefined){
            	scope.init();
            }
          });
		}
  	};
}]);
