angular.module('selae.games.directives')

.directive('quinigolBetDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/quinigol-bet.html',
	    scope:{
	    	bet: '='
	    },
	    controller: ['$scope', function($scope){
				$scope.bets = [];
	    		$scope.raffles = [];
	    		$scope.jornada = "";


	    	$scope.init = function(){
					$scope.bets = [];
		    		$scope.raffles = [];

					angular.forEach($scope.bet.apuestasFormateadas, function(value, key){
						var bet = value.split(',');
						bet.elements = [];
						angular.forEach(bet, function(value, key){
							this.push(value.split('-'));
						},bet.elements);
			    		this.push(bet); 
		    		}, $scope.bets);

		    		$scope.raffles.push($scope.bet.listaSorteos["0"].SorteoDto.fecha);

					/*testing
					angular.forEach($scope.bet.listaSorteos, function(value, key){
						this.push(value.SorteoDto.fecha);
					},$scope.raffles);
					//////////////*/


		    		$scope.jornada = $scope.bet.listaSorteos["0"].SorteoDto.jornada;

		    		$scope.betType = ($scope.bet.metodo === "Multiple")? 'multiple':'single';

			 	};
	    }],
	  	link: function(scope){
				scope.$watch("bet", function (newValue, oldValue) {
	  			if(scope.bet.combinacionApuesta !== undefined){
		            scope.init();
	  			}
        });
			}
  	};
}]);
