angular.module('selae.games.directives')

.directive('quinigolTicketDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/quinigol-ticket.html',
	    scope:{
	    	data: '='
	    },
	    controller: ['$scope', 'opSrv', 'gamesProvider', function($scope, opSrv, gamesProvider){
				$scope.bets = [];
				$scope.raffles = [];
				$scope.partidos =[];
				$scope.dates = "";
	    	$scope.titleLogo = gamesProvider.getTicketIcon('6');

	    	$scope.init = function(){
					$scope.bets = [];
					$scope.dates = "";
					$scope.partidos =[];

					$scope.dates = opSrv.formatDatesForTicket($scope.data.detalleApuesta[0].listaSorteos);

					angular.forEach ($scope.data.detalleApuesta[0].apuestasFormateadas,function(value, key){
						var bet = value.split(',');
						bet.elements = [];
						angular.forEach(bet, function(value, key){
							this.push(value.split('-'));
						},bet.elements);
			    		this.push(bet);
					},$scope.bets);
					console.log($scope.bets);
					angular.forEach ( $scope.data.partidos, function(value, key){
						value.bets = $scope.bets[key];
						this.push(value);
					}, $scope.partidos);
				};
	    }],
	  	link: function(scope){
				scope.$watch("data", function (newValue, oldValue) {
  			if (scope.data.detalleApuesta !== undefined){
            	scope.init();
            }
          });
		}
  	};
}]);
