angular.module('selae.games.directives')

.directive('quintuplePlusTicketDrv', [function() {
	return {
	    restrict: 'E',
	    templateUrl: 'games/templates/quintuple-plus-ticket.html',
	    scope:{
	    	data: '='
	    },
	    controller: ['$scope','opSrv', 'gamesProvider', function($scope, opSrv, gamesProvider){
	    	$scope.bets = [];
				$scope.partidos =[];
				$scope.dates = "";
	    	$scope.titleLogo = gamesProvider.getTicketIcon('8');
	    	$scope.init = function(){
				$scope.bets = [];
				$scope.partidos =[];
				$scope.dates = "";
				
				$scope.dates = opSrv.formatDatesForTicket($scope.data.detalleApuesta[0].listaSorteos);

	    		angular.forEach ($scope.data.detalleApuesta[0].apuestasFormateadas, function(value, key){
		    		this.push(value.split(","));
	    		}, $scope.bets);
	    	};
	    }],
	  	link: function(scope){
				scope.$watch("data", function (newValue, oldValue) {
  			if (scope.data.detalleApuesta !== undefined){
            	scope.init();
            }
          });
		}
  	};
}]);

